************************************
* TIME TO KILL: BRANCATI AND SNYDER*
************************************

* This file explores the robustness of the findings to the inclusion of different cases and different enddates. Only the main models have been replicated here.*
* To check all models for case selection, redo the previous analysis dropping for the variable "Case Selection Reason (cselectR1)."*
* To check all models for end dates, use the datafile "BS09_DATA_altmain.dta" and redo the previous analysis using the variables ending in 2 rather than 1 (e.g. UNfpeaid2 vs. UNfpeaid1).*

******************
*PART I ANALYSIS *
******************

********************************
* ROBUSTNESS TO CASE SELECTION *
********************************

*To check for robustness of case selection, I repeat the analysis dropping cases by the categories of the variable "Case Selection Reason (cselectR1
*FIRST POST-CONFLICT ELECTIONS (ALL ELECTIONS)*
*3 FPEs arguably occur in the same month as the end of the civil war. Below, I have replaced T2fpemths1 = 0 to T2fpemths1 = 1 
replace T2fpemths1 = 1 if T2fpemths1 == 0
stset T2fpemths1, failure(fEND1) 
for num 1/6: stcox postCW victory fintvngwar1 cycle unintrvnALL UNfpeaid1 if cselectr1 != X, hr efron cluster(countryname) 
for num 1/6: stcox postCW victory fintvngwar1 cycle unintrvnALL UNfpeaid1 prop1 mixed unexec dcen if cselectr1 != X, hr efron cluster(countryname)
for num 1/6: stcox postCW victory fintvngwar1 cycle unintrvnALL UNfpeaid1 wardur dead ridp gdpen if cselectr1 != X, hr efron cluster(countryname)

*FIRST POST-CONFLICT NATIONAL ELECTIONS (NATIONAL ELECTIONS ONLY)*
*2 NEs arguablly occur in the same month as the end of the civil war. Below, I have replaced T2nemths1 = 0 to T2fpemths1 = 1 
replace T2nemths1 = 1 if T2nemths1 == 0
stset T2nemths1, failure(nEND1) 
for num 1/6: stcox postCW victory cycle fintvngwar1 unintrvnALL UNneaid1 if cselectr1 != X, hr efron cluster(countryname)
for num 1/6: stcox postCW victory fintvngwar1 cycle unintrvnALL UNneaid1 prop1 mixed unexec dcen if cselectr1 != X, hr efron cluster(countryname)
for num 1/6: stcox postCW victory fintvngwar1 cycle unintrvnALL UNneaid1 wardur dead ridp gdpen if cselectr1 != X, hr efron cluster(countryname) 
  

******************
*PART II ANALYSIS *
******************

********************************
* ROBUSTNESS TO CASE SELECTION *
********************************

*FIRST POST-CONFLICT ELECTIONS (ALL ELECTIONS)*
for num 1/6: logit nwar1 T2fpemths1 eventno2 if fENDinWAR !=1 & cselectr1 != X,  cluster(countryname)
for num 1/6: logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 eventno2 if fENDinWAR !=1 & cselectr1 != X, cluster(countryname)
for num 1/6: logit nwar1 T2fpemths1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 if fENDinWAR !=1 & cselectr1 != X, cluster(countryname)
for num 1/6: logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 if fENDinWAR !=1 & cselectr1 != X, cluster(countryname)
gen T2fpemths1VIC =T2fpemths1*victory
for num 1/6: logit nwar1 T2fpemths1 fpepolity1 postCW victory T2fpemths1VIC unintrvnALL UNfpeaid1 eventno2 if fENDinWAR !=1 & cselectr1 != X, cluster(countryname)
for num 1/6: logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR1 if fENDinWAR !=1 & cselectr1 != X, cluster(countryname) 
for num 1/6: logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpen if fENDinWAR !=1 & cselectr1 != X, cluster(countryname)

*FIRST POST-CONFLICT NATIONAL ELECTIONS (NATIONAL ELECTIONS ONLY)*
for num 1/6: logit nwar1 T2nemths1 eventno2 if nENDinWAR !=1 & cselectr1 != X, cluster(countryname)
for num 1/6: logit nwar1 T2nemths1 nepolity1 eventno2 if nENDinWAR !=1 & cselectr1 != X, cluster(countryname)
for num 1/6: logit nwar1 T2nemths1 postCW victory unintrvnALL UNneaid1 eventno2 if nENDinWAR !=1 & cselectr1 != X, cluster(countryname)
for num 1/6: logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 if nENDinWAR !=1 & cselectr1 != X, cluster(countryname)
gen T2nemths1VIC =T2nemths1*victory
for num 1/6: logit nwar1 T2nemths1 nepolity1 postCW victory T2nemths1VIC unintrvnALL UNneaid1 eventno2 if nENDinWAR !=1 & cselectr1 != X, cluster(countryname)
for num 1/6: logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 prop mixed unexec dcenEVR1 eventno2 if nENDinWAR !=1 & cselectr1 != X, cluster(countryname) 
for num 1/6: logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpen if nENDinWAR !=1 & cselectr1 != X, cluster(countryname)

*DEMOBILIZATION VIS-A-VIS ELECTIONS*
*FIRST POST-CONFLICT ELECTIONS (ALL ELECTIONS)*
for num 1/6: logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 if cselectr1 != X, cluster(countryname)
for num 1/6: logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR1 if cselectr1 != X, cluster(countryname)    
for num 1/6: logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpen if cselectr1 != X, cluster(countryname) 
*FIRST POST-CONFLICT NATIONAL ELECTIONS (NATIONAL ELECTIONS ONLY)*
for num 1/6: logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 if cselectr1 != X, cluster(countryname)
for num 1/6: logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 prop mixed unexec dcenEVR1 if cselectr1 != X, cluster(countryname)                   
for num 1/6: logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpen if cselectr1 != X, cluster(countryname)

*INSTITUTIONAL DEVELOPMENT*
for num 1/6: logit nwar1 diDDRf FPEbureacracy FPEcorruption FPElaw_order eventno2 if cselectr1 != X, cluster(countryname)
for num 1/6: logit nwar1 diDDRn NEbureacracy NEcorruption NElaw_order eventno2 if cselectr1 != X, cluster(countryname)


******************
*PART I ANALYSIS *
******************

**********************************
* ROBUSTNESS TO DATE OF ELECTION *
**********************************

*For certain civil wars in which the civil war ended in the same year that an election, it was not possible to pinpoint whether the election occurred before or after the civil war ended. For these cases, we explore a second, subsequent election date. 

*FIRST POST-CONFLICT ELECTIONS (ALL ELECTIONS)*
*3 FPEs arguably occur in the same month as the end of the civil war. Below, I have replaced T2fpemths1 = 0 to T2fpemths1 = 1 
clear
use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/BS09_DATA_altmain.dta"
replace T2fpemths2 = 1 if T2fpemths2 == 0
stset T2fpemths2, failure(fEND2) 
stcox fintvngwar2 postCW unintrvnALL UNfpeaid2, hr efron cluster(countryname) 
stcox fintvngwar2 postCW unintrvnALL UNfpeaid2 victory cycle DIFFfpe2pne2 prop mixed unexec dcen, hr efron cluster(countryname) 
stcox fintvngwar2 postCW unintrvnALL UNfpeaid2 victory cycle DIFFfpe2pne2 prop mixed unexec dcen gdpen wardur dead ridp, hr efron cluster(countryname) 
stcox fintvngwar2 postCW unintrvnALL UNfpeaid2 victory cycle DIFFfpe2pne2 prop mixed unexec FPEelectricity2, hr efron cluster(countryname)
stcox fintvngwar2 postCW unintrvnALL UNfpeaid2 victory cycle DIFFfpe2pne2 prop mixed unexec FPEpavedroads2, hr efron cluster(countryname) 

*FIRST POST-CONFLICT NATIONAL ELECTIONS (NATIONAL ELECTIONS ONLY)*
*2 NEs arguablly occur in the same month as the end of the civil war. Below, I have replaced T2nemths1 = 0 to T2fpemths1 = 1 
clear
use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/BS09_DATA_altmain.dta"
replace T2nemths2 = 1 if T2nemths2 == 0
stset T2nemths2, failure(nEND2) 
stcox nintvngwar2 postCW unintrvnALL UNneaid2, hr efron cluster(countryname) 
stcox nintvngwar2 postCW unintrvnALL UNneaid2 victory cycle DIFFne2pne2 prop mixed unexec dcen, hr efron cluster(countryname) 
stcox nintvngwar2 postCW unintrvnALL UNneaid2 victory cycle DIFFne2pne2 prop mixed unexec dcen gdpen wardur dead ridp, hr efron cluster(countryname) 
stcox nintvngwar2 postCW unintrvnALL UNneaid2 victory cycle DIFFne2pne2 prop mixed unexec NEelectricity2, hr efron cluster(countryname)
stcox nintvngwar2 postCW unintrvnALL UNneaid2 victory cycle DIFFne2pne2 prop mixed unexec NEpavedroads2, hr efron cluster(countryname) 
  

******************
*PART II ANALYSIS *
******************

**********************************
* ROBUSTNESS TO DATE OF ELECTION *
**********************************

*FIRST POST-CONFLICT ELECTIONS (ALL ELECTIONS)*
clear
use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/BS09_DATA_altmain.dta"
logit nwar1 T2fpemths2 eventno2 if fENDinWAR !=1,  cluster(countryname)
logit nwar1 T2fpemths2 fpepolity2 fpenatl2 fpeconrnt2 eventno2 if fENDinWAR2 !=1, cluster(countryname)
logit nwar1 T2fpemths2 fpenatl2 fpeconrnt2 postCW victory unintrvnALL UNfpeaid2 eventno2 if fENDinWAR2 !=1, cluster(countryname)
logit nwar1 T2fpemths2 fpepolity2 fpenatl2 fpeconrnt2 postCW victory unintrvnALL UNfpeaid2 eventno2 if fENDinWAR2 !=1, cluster(countryname)
gen T2fpemths2VIC =T2fpemths2*victory
logit nwar1 T2fpemths2 fpepolity2 postCW victory T2fpemths2VIC unintrvnALL UNfpeaid2 eventno2 if fENDinWAR2 !=1, cluster(countryname)
logit nwar1 T2fpemths2 fpepolity2 fpenatl2 fpeconrnt2 postCW victory unintrvnALL UNfpeaid2 eventno2 prop mixed unexec dcenEVR if fENDinWAR2 !=1, cluster(countryname) 
logit nwar1 T2fpemths2 fpepolity2 fpenatl2 fpeconrnt2 postCW victory unintrvnALL UNfpeaid2 eventno2 wardur dead ridp gdpen if fENDinWAR2 !=1, cluster(countryname)

*FIRST POST-CONFLICT NATIONAL ELECTIONS (NATIONAL ELECTIONS ONLY)*
clear
use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/BS09_DATA_altmain.dta"
logit nwar1 T2nemths2 eventno2 if nENDinWAR !=1, cluster(countryname)
logit nwar1 T2nemths2 nepolity2 eventno2 if nENDinWAR2 !=1, cluster(countryname)
logit nwar1 T2nemths2 postCW victory unintrvnALL UNneaid2 eventno2 if nENDinWAR2 !=1, cluster(countryname)
logit nwar1 T2nemths2 nepolity2 postCW victory unintrvnALL UNneaid2 eventno2 if nENDinWAR2 !=1, cluster(countryname)
gen T2nemths2VIC =T2nemths2*victory
logit nwar1 T2nemths2 nepolity2 postCW victory T2nemths2VIC unintrvnALL UNneaid2 eventno2 if nENDinWAR2 !=1, cluster(countryname)
logit nwar1 T2nemths2 nepolity2 postCW victory unintrvnALL UNneaid2 prop mixed unexec dcenEVR eventno2 if nENDinWAR2 !=1, cluster(countryname) 
logit nwar1 T2nemths2 nepolity2 postCW victory unintrvnALL UNneaid2 eventno2 wardur dead ridp gdpen if nENDinWAR2 !=1, cluster(countryname)



**************************************
* ROBUSTNESS TO ENDDATE OF CIVIL WAR *
**************************************
*************************************************
*Enddates identified in Fearon and Laitin (2003)*
*************************************************

*Drop cases that are not in Fearon and Laitin.*
drop if (cwid == "CWid2" | cwid == "CWid7" | cwid == "CWid8" | cwid == "CWid29" | cwid == "CWid75" | cwid == "CWid83" | cwid == "CWid98" | cwid == "CWid106" | cwid == "CWid107" | cwid=="CWid127" | cwid =="CWid128" | cwid=="CWid130" | cwid == "CWid131")

*Calculated by using December as the end month of all conflicts*
*Cambodia*
replace T2fpemths1 = 5 if countryname == "Cambodia" & yrbeg == 1975 & yrend == 1991

*Colombia*
replace T2fpemths1 = 15 if countryname == "Colombia" & yrbeg == 1948 & yrend == 1966

*Guatemala*
replace T2fpemths1 = 35 if countryname == "Guatemala" & yrbeg == 1978  & yrend == 1996

*Iran*
replace T2fpemths1 = 27 if countryname == "Iran" & yrbeg == 1979 & yrend == 1984
replace fpelevel1 = "NATIONAL" if countryname == "Iran" & yrbeg == 1979 & yrend == 1984

*Iraq*
replace T2fpemths1 = 66 if countryname == "Iraq" & yrbeg == 1974 & yrend == 1975

*Jordan*
replace T2fpemths1 = 227 if countryname == "Jordan" & yrbeg == 1970 & yrend == 1971

*Korea*
replace T2fpemths1 = 20 if countryname == "Korea" & yrbeg == 1948 & yrend == 1949

*Lebanon* 
replace T2fpemths1 = 20 if countryname == "Lebanon" & yrbeg == 1975 & yrend == 1991

*Liberia* 
replace T2fpemths1 = 7 if countryname == "Liberia" & yrbeg == 1992 & yrend == 1997

*Mali*
replace T2fpemths1 = 28 if countryname == "Mali" & yrbeg == 1990 & yrend == 1995
replace fpelevel1 = "NATIONAL" if countryname == "Mali" & yrbeg == 1990 & yrend == 1995

*Morocco/Western Sahara*
replace T2fpemths1 = 46 if countryname == "Morocco/Western Sahara" & yrbeg == 1975 & yrend == 1991

*Mozambique*
replace T2fpemths1 = 30 if countryname == "Mozambique" & yrbeg == 1976 & yrend == 1992
replace fpelevel1 = "SUBNATIONAL" if countryname == "Mozambique" & yrbeg == 1976 & yrend == 1992

*Nicaragua*
replace T2fpemths1 = 14 if countryname == "Nicaragua" & yrbeg == 1981 & yrend == 1990

*Peru*
replace T2nemths1 = 34 if countryname == "Peru" & yrbeg == 1980 & yrend == 1996
replace fpelevel1 = "NATIONAL" if countryname == "Peru" & yrbeg == 1980 & yrend == 1996

*Philippines*
replace T2fpemths1 = 5 if countryname == "Philippines" & yrbeg == 1972 & yrend == 1992
replace fpelevel1 = "NATIONAL" if countryname == "Philippines" & yrbeg == 1972 & yrend == 1992

*Rwanda*
replace T2fpemths1 = 45 if countryname == "Rwanda" & yrbeg == 1963 & yrend == 1964

*United Kingdom*
replace T2fpemths1 = 18 if countryname == "United Kingdom" & yrbeg == 1971 & yrend == 1998
replace fpelevel1 = "NATIONAL" if countryname == "United Kingdom" & yrbeg == 1971 & yrend == 1998

*Yemen AR*
replace T2fpemths1 = 14 if countryname == "Yemen AR" & yrbeg == 1962 & yrend == 1970

*Yemen PR*
replace T2fpemths1 = . if countryname == "Yemen PR" & yrbeg == 1986 & yrend == 1986

*Note: After changing the enddates above, rerun the code in: BS09_ANALYSIS_P1 and BS09_ANALYSIS_P2.*

************************************
*Enddates identified in PRIO (2006)*
************************************

drop if (cwid == "CWid1" | cwid == "CWid2" | cwid == "CWid7" | cwid == "CWid44" | cwid == "CWid63" | cwid == "CWid98" | cwid == "CWid127" | cwid == "CWid130" | cwid == "CWid131" | cwid=="CWid133"| cwid =="CWid145" | cwid=="CWid148")

*Angola*
replace T2fpemths1 = 149 if countryname == "Angola" & yrbeg == 1992  & yrend == 1994

*Cambodia*
replace T2fpemths1 = 55 if countryname == "Cambodia" & yrbeg == 1975  & yrend == 1991
replace fpelevel1 = "NATIONAL" if countryname == "Cambodia" & yrbeg == 1975  & yrend == 1991

*China*
replace T2fpemths1 = 425 if countryname == "China" & yrbeg == 1956 & yrend == 1959
replace fpelevel1 = "SUBNATIONAL" if countryname == "China" & yrbeg == 1956 & yrend == 1959

*PRIO codes a break in the violence. It is dealt with below by using the existing variables for two election dates, which is used otherwise for elections occurring in the same year as the civil war. The warduration, displacement, and deaths figures have not been calculated approriately for the separate wars.*
expand 2 if countryname == "China" & yrbeg == 1956 & yrend == 1959
replace cwid = "CWid34b" if cwid == "CWid34"
replace T2fpemths2 = 389 if countryname == "China" & yrbeg == 1956 & yrend == 1959 & cwid == "CWid34b"
replace fpelevel2 = "SUBNATIONAL" if countryname == "China" & yrbeg == 1956 & yrend == 1959 & cwid == "CWid34b"

*Cuba*
replace T2fpemths1 = 214 if countryname == "Cuba" & yrbeg == 1958 & yrend == 1959

*Ethiopia*
replace T2fpemths1 = 42 if countryname == "Ethiopia" & yrbeg == 1976  & yrend == 1988
replace fpelevel1 = "NATIONAL" if countryname == "Ethiopia" & yrbeg == 1976  & yrend == 1988

*Georgia*
replace T2fpemths1 = 23 if countryname == "Georgia" & yrbeg == 1992  & yrend == 1994

*Guatemala*
replace T2fpemths1 = 1 if countryname == "Guatemala" & yrbeg == 1978 & yrend == 1996
replace fpelevel1 = "NATIONAL" if countryname == "Guatemala" & yrbeg == 1978 & yrend == 1996

*Iran*
replace T2fpemths1 = 7 if countryname == "Iran" & yrbeg == 1979  & yrend == 1984
replace fpelevel1 = "NATIONAL" if countryname == "Iran" & yrbeg == 1979  & yrend == 1984

*Iraq*
replace T2fpemths1 = 39 if countryname == "Iraq" & yrbeg == 1991 & yrend == 1993
replace fpelevel1 = "SUBNATIONAL" if countryname == "Iraq" & yrbeg == 1991 & yrend == 1993

*Korea*
replace T2fpemths1 = 20 if countryname == "Korea" & yrbeg == 1948 & yrend == 1949

*Lebanon*
replace T2fpemths1 = 20 if countryname == "Lebanon" & yrbeg == 1975 & yrend == 1991

*Liberia*
replace T2fpemths1 = 19 if countryname == "Liberia" & yrbeg == 1992 & yrend == 1997

*Morocco/Western Sahara*
replace T2fpemths1 = 34 if countryname == "Morocco/Western Sahara" & yrbeg == 1975 & yrend == 1991

*Myanmar/Burma*
replace T2fpemths1 = . if countryname == "Myanmar/Burma" & yrbeg == 1960  & yrend == 1995
replace fpelevel1 = "CENSORED" if countryname == "Myanmar/Burma" & yrbeg == 1960  & yrend == 1995

*Nicaragua*
replace T2fpemths1 = 2	 if countryname == "Nicaragua" & yrbeg == 1981 & yrend == 1990

*Peru*
replace T2fpemths1 = 4 if countryname == "Peru" & yrbeg == 1980 & yrend == 1996
replace fpelevel1 = "SUBNATIONAL" if countryname == "Peru" & yrbeg == 1980 & yrend == 1996

*Philippines*
replace T2fpemths1 = 11 if countryname == "Philippines" & yrbeg == 1950 & yrend == 1952
replace T2fpemths1 = 29 if countryname == "Philippines" & yrbeg == 1972  & yrend == 1992
replace fpelevel1 = "NATIONAL" if countryname == "Philippines" & yrbeg == 1950 & yrend == 1952
replace fpelevel1 = "CONCURRENT" if countryname == "Philippines" & yrbeg == 1972 & yrend == 1992

*PRIO codes a break in the violence. It is dealt with below by using the existing variables for two election dates, which is used otherwise for elections occurring in the same year as the civil war. The warduration, displacement, and deaths figures have not been calculated approriately for the separate wars.*
replace T2fpemths1 = 3 if countryname == "Philippines" & yrbeg == 1971  & yrend == . 
expand 2 if countryname == "Philippines" & yrbeg == 1971  & yrend == .
replace cwid = "CWid123b" if cwid == "CWid123"
replace T2fpemths1 = . if countryname == "Philippines" & yrbeg == 1971  & yrend == . & cwid == "CWid123b"
replace fpelevel1 = "CENSORED" if countryname == "Philippines" & yrbeg == 1971  & yrend == . & cwid == "CWid123b"

*Sierra Leone*
replace T2fpemths1 = 17 if countryname == "Sierra Leone" & yrbeg == 1997 & yrend == 2001
replace fpelevel1 = "NATIONAL" if countryname == "Sierra Leone" & yrbeg == 1997 & yrend == 2001

*Somalia*
replace T2fpemths1 = . if countryname == "Somalia" & yrbeg == 1991 & yrend == .
replace fpelevel1 = "CENSORED" if countryname == "Somalia" & yrbeg == 1991 & yrend == .

*Sri Lanka*
replace T2fpemths1 = 3 if countryname == "Sri Lanka" & yrbeg == 1983 & yrend == 2002
replace T2fpemths1 = 5 if countryname == "Sri Lanka" & yrbeg == 1987 & yrend == 1989
replace fpelevel1 = "SUBNATIONAL" if countryname == "Sri Lanka" & yrbeg == 1983 & yrend == 2002
replace fpelevel1 = "SUBNATIONAL" if countryname == "Sri Lanka" & yrbeg == 1987 & yrend == 1989

*Tajikistan*
replace T2fpemths1 = 35 if countryname == "Tajikistan" & yrbeg == 1992 & yrend == 1997

*Uganda*
replace T2fpemths1 = 3 if countryname == "Uganda" & yrbeg == 1990 & yrend == 1992

*Note: After changing the enddates above, rerun the code in: BS09_ANALYSIS_P1 and BS09_ANALYSIS_P2.*s

