#################################
##** MATCHING: TIME TO KILL **###
#################################

#####################################################################
# MATCHING: DICHOTOMOUS TREATMENT (DEMOBILIZATION PRIOR TO ELECTION)#
#####################################################################

####################### GENERAL NOTES #################################
# CODE IS WRITTEN IN R AND STATA. MUST SHIFT BETWEEN PROGRAMS.        #
#######################################################################

install.packages("MatchIt")
library(MatchIt)
update.packages()
library(foreign)

############################################################################################################################################
############################################################################################################################################
# FULL MATCHING.  FULL MATCHING.  FULL MATCHING.  FULL MATCHING. FULL MATCHING. FULL MATCHING. FULL MATCHING. FULL MATCHING. FULL MATCHING.#
############################################################################################################################################
############################################################################################################################################

################################### 
## FIRST POST-CONFLICT ELECTIONS ##
###################################

######################################################################################################################################
#TABLE MODELS: MATCHING BASED ON ONLY VARIABLES WITH STRONG THEORY AS TO WHY THEY SHOULD BE ASSOCIATED WITH THE SEQUENCING VARIABLE ##
######################################################################################################################################

## R-CODE TO CREATE MATCHED SAMPLE##
matchdata <- read.dta("/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Archive/Matching/BS09_DATA.baseFPE.dta")
m.out.full0 <- matchit(diDDRf ~ T2fpemths1 + postCW + fintvngwar1 + unintrvnALL, data = matchdata, method = "full")
summary(m.out.full0)
#plot(m.out.full0)
m.data.full0 <- match.data(m.out.full0)
write.csv(m.data.full0, "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/ROBUSTNESS DATA FILES/fullFPE.csv")

#ANALYZE IN STATA##
clear
insheet using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/ROBUSTNESS DATA FILES/fullFPE.csv"
merge cwid using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/BS09_DATA_main.dta", sort
 for var t2fpemths1 postcw cycle2 fintvngwar1 unintrvnall unfpeaid1 prop mixed unexec dcenEVR wardur dead ridp gdpend : ttest X if weight ! = ., by(diddr)
*save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/ROBUSTNESS DATA FILES/BS09_fullMATCH_fpe.dta"
 *R makes the variables lower cases so that some variables merge and others do not. 

*TEST BALANCE: COMPARISON OF MEANS BETWEEN TREATED AND CONTROL GROUPS*
for var T2fpemths1 postCW fintvngwar1  unintrvnALL: ttest X, by (diDDRf)
for var T2fpemths1 postCW fintvngwar1  unintrvnALL: gen Xwt = X*weight
for var T2fpemths1 postCW fintvngwar1  unintrvnALL: ttest Xwt, by (diDDRf)

*LOGISTIC REGRESSION WITH WEIGHTS FROM FULL MATCHING*
logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 [pweight=weights], cluster(countryname)
   outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/fpeFULL_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se append label(insert) replace 
*logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 [pweight=weights] if fENDinWAR !=1, cluster(countryname)
logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR [pweight=weights], cluster(countryname)
  *logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR [pweight=weights] if fENDinWAR !=1, cluster(countryname)
  *gen prop_mixed = prop + mixed
*logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop_mixed unexec dcenEVR [pweight=weights], cluster(countryname)
	outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/fpeFULL_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append 
*logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop_mixed unexec dcenEVR [pweight=weights] if fENDinWAR !=1, cluster(countryname)
logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpend [pweight=weights], cluster(countryname)
	outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/fpeFULL_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se  label(insert) append 
*logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpend [pweight=weights] if fENDinWAR !=1, cluster(countryname)

*Institutions (Separate Table)*
logit nwar1 diDDRf FPEbureacracy FPEcorruption FPElaw_order eventno2 [pweight=weights], cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/fpeFULL_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
*logit nwar1 diDDRf1 FPEbureacracy FPEcorruption FPElaw_order fpepolity1 postCW victory unintrvnALL UNfpeaid1 eventno2 [pweight=weights], cluster(countryname)

############################################ 
## FIRST POST-CONFLICT NATIONAL ELECTIONS ##
############################################

######################################################################################################################################
#TABLE MODELS: MATCHING BASED ON ONLY VARIABLES WITH STRONG THEORY AS TO WHY THEY SHOULD BE ASSOCIATED WITH THE SEQUECNING VARIABLE ##
######################################################################################################################################

## R-CODE TO CREATE MATCHED SAMPLE##
matchdata <- read.dta("/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Archive/Matching/BS09_DATA.baseNE.dta")
m.out.full0n <- matchit(diDDRn ~ T2nemths1 + postCW + nintvngwar1 + unintrvnALL, data = matchdata, method = "full")
summary(m.out.full0n)
#plot(m.out.full0n)
m.data.full0n <- match.data(m.out.full0n)
write.csv(m.data.full0n, "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/ROBUSTNESS DATA FILES/fullNE.csv")

#ANALYZE IN STATA##
clear
insheet using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/ROBUSTNESS DATA FILES/fullNE.csv"
merge cwid using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/BS09_DATA_main.dta", sort
 for var t2nemths1 postcw cycle2 nintvngwar1 unintrvnall unneaid1 prop mixed unexec dcenEVR: ttest X if weight ! = ., by(diddr)
*save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/ROBUSTNESS DATA FILES/BS09_fullMATCH_nl.dta"
 *R makes the variables lower cases so that some variables merge and others do not. 
 
*TEST BALANCE: COMPARISON OF MEANS BETWEEN TREATED AND CONTROL GROUPS*
for var T2nemths1 postCW fintvngwar1 unintrvnALL: ttest X, by (diDDRn)
for var T2nemths1 postCW fintvngwar1 unintrvnALL: gen Xwt = X*weight
for var T2nemths1 postCW fintvngwar1 unintrvnALL: ttest Xwt, by (diDDRn)
 
*LOGISTIC REGRESSION WITH WEIGHTS FROM FULL MATCHING*
logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 [pweight=weights], cluster(countryname)
*logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 [pweight=weights] if nENDinWAR !=1, cluster(countryname)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/neFULL_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append 
logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 prop mixed unexec dcenEVR [pweight=weights], cluster(countryname)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/neFULL_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append 
*logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 prop mixed unexec dcenEVR [pweight=weights] if nENDinWAR !=1, cluster(countryname)
  *gen prop_mixed = prop + mixed
*logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 prop_mixed unexec dcenEVR [pweight=weights] if nENDinWAR !=1, cluster(countryname)
logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpend [pweight=weights], cluster(countryname)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/neFULL_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append 
*logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpend [pweight=weights] if nENDinWAR !=1, cluster(countryname)

*Institutions (Separate Table)*
logit nwar1 diDDRn NEbureacracy NEcorruption NElaw_order eventno2 [pweight=weights], cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/neFULL_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
*logit nwar1 diDDRn1 NEbureacracy NEcorruption NElaw_order nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 [pweight=weights], cluster(countryname)


############################################################################################################################################
############################################################################################################################################
# FULL MATCHING.  FULL MATCHING.  FULL MATCHING.  FULL MATCHING. FULL MATCHING. FULL MATCHING. FULL MATCHING. FULL MATCHING. FULL MATCHING.#
############################################################################################################################################
############################################################################################################################################

################################### 
## FIRST POST-CONFLICT ELECTIONS ##
###################################

######################################################################################################################################
#TABLE MODELS: MATCHING BASED ON ONLY VARIABLES WITH STRONG THEORY AS TO WHY THEY SHOULD BE ASSOCIATED WITH THE SEQUENCING VARIABLE ##
######################################################################################################################################

## R-CODE TO CREATE MATCHED SAMPLE##
matchdata <- read.dta("/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Archive/Matching/BS09_DATA.baseFPE.dta")
m.out.full0 <- matchit(diDDRf ~ T2fpemths1 + postCW + fintvngwar1 + unintrvnALL, data = matchdata, method = "full")
summary(m.out.full0)
#plot(m.out.full0)
m.data.full0 <- match.data(m.out.full0)
write.csv(m.data.full0, "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/ROBUSTNESS DATA FILES/fullFPE.csv")

#ANALYZE IN STATA##
clear
insheet using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/ROBUSTNESS DATA FILES/fullFPE.csv"
merge cwid using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/BS09_DATA_main.dta", sort
 for var t2fpemths1 postcw cycle2 fintvngwar1 unintrvnall unfpeaid1 prop mixed unexec dcenEVR wardur dead ridp gdpend : ttest X if weight ! = ., by(diddr)
*save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/ROBUSTNESS DATA FILES/BS09_fullMATCH_fpe.dta"
 *R makes the variables lower cases so that some variables merge and others do not. 

*TEST BALANCE: COMPARISON OF MEANS BETWEEN TREATED AND CONTROL GROUPS*
for var T2fpemths1 postCW fintvngwar1  unintrvnALL: ttest X, by (diDDRf)
for var T2fpemths1 postCW fintvngwar1  unintrvnALL: gen Xwt = X*weight
for var T2fpemths1 postCW fintvngwar1  unintrvnALL: ttest Xwt, by (diDDRf)

*LOGISTIC REGRESSION WITH WEIGHTS FROM FULL MATCHING*
logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 [pweight=weights], cluster(countryname)
   outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/full_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se append label(insert) replace 
*logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 [pweight=weights] if fENDinWAR !=1, cluster(countryname)
logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR [pweight=weights], cluster(countryname)
  *logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR [pweight=weights] if fENDinWAR !=1, cluster(countryname)
  *gen prop_mixed = prop + mixed
*logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop_mixed unexec dcenEVR [pweight=weights], cluster(countryname)
	outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/full_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append 
*logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop_mixed unexec dcenEVR [pweight=weights] if fENDinWAR !=1, cluster(countryname)
logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpend [pweight=weights], cluster(countryname)
	outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/full_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se  label(insert) append 
*logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpend [pweight=weights] if fENDinWAR !=1, cluster(countryname)

*Institutions (Separate Table)*
logit nwar1 diDDRf FPEbureacracy FPEcorruption FPElaw_order eventno2 [pweight=weights], cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/full_INSTITS09", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
*logit nwar1 diDDRf1 FPEbureacracy FPEcorruption FPElaw_order fpepolity1 postCW victory unintrvnALL UNfpeaid1 eventno2 [pweight=weights], cluster(countryname)

############################################ 
## FIRST POST-CONFLICT NATIONAL ELECTIONS ##
############################################

######################################################################################################################################
#TABLE MODELS: MATCHING BASED ON ONLY VARIABLES WITH STRONG THEORY AS TO WHY THEY SHOULD BE ASSOCIATED WITH THE SEQUECNING VARIABLE ##
######################################################################################################################################

## R-CODE TO CREATE MATCHED SAMPLE##
matchdata <- read.dta("/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Archive/Matching/BS09_DATA.baseNE.dta")
m.out.full0n <- matchit(diDDRn ~ T2nemths1 + postCW + nintvngwar1 + unintrvnALL, data = matchdata, method = "full")
summary(m.out.full0n)
#plot(m.out.full0n)
m.data.full0n <- match.data(m.out.full0n)
write.csv(m.data.full0n, "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/ROBUSTNESS DATA FILES/fullNE.csv")

#ANALYZE IN STATA##
clear
insheet using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/ROBUSTNESS DATA FILES/fullNE.csv"
merge cwid using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/BS09_DATA_main.dta", sort
 for var t2nemths1 postcw cycle2 nintvngwar1 unintrvnall unneaid1 prop mixed unexec dcenEVR: ttest X if weight ! = ., by(diddr)
*save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/ROBUSTNESS DATA FILES/BS09_fullMATCH_nl.dta"
 *R makes the variables lower cases so that some variables merge and others do not. 
 
*TEST BALANCE: COMPARISON OF MEANS BETWEEN TREATED AND CONTROL GROUPS*
for var T2nemths1 postCW fintvngwar1 unintrvnALL: ttest X, by (diDDRn)
for var T2nemths1 postCW fintvngwar1 unintrvnALL: gen Xwt = X*weight
for var T2nemths1 postCW fintvngwar1 unintrvnALL: ttest Xwt, by (diDDRn)
 
*LOGISTIC REGRESSION WITH WEIGHTS FROM FULL MATCHING*
logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 [pweight=weights], cluster(countryname)
*logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 [pweight=weights] if nENDinWAR !=1, cluster(countryname)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/full_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append 
logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 prop mixed unexec dcenEVR [pweight=weights], cluster(countryname)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/full_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append 
*logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 prop mixed unexec dcenEVR [pweight=weights] if nENDinWAR !=1, cluster(countryname)
  *gen prop_mixed = prop + mixed
*logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 prop_mixed unexec dcenEVR [pweight=weights] if nENDinWAR !=1, cluster(countryname)
logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpend [pweight=weights], cluster(countryname)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/full_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append 
*logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpend [pweight=weights] if nENDinWAR !=1, cluster(countryname)

*Institutions (Separate Table)*
logit nwar1 diDDRn NEbureacracy NEcorruption NElaw_order eventno2 [pweight=weights], cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/full_INSTITS09", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
*logit nwar1 diDDRn1 NEbureacracy NEcorruption NElaw_order nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 [pweight=weights], cluster(countryname)


############################################################################################################################################
############################################################################################################################################
# NEAREST NEIGHBOR MATCHING.  NEAREST NEIGHBOR MATCHING.  NEAREST NEIGHBOR MATCHING.  NEAREST NEIGHBOR MATCHING. NEAREST NEIGHBOR MATCHING #
############################################################################################################################################
############################################################################################################################################

################################### 
## FIRST POST-CONFLICT ELECTIONS ##
###################################

######################################################################################################################################
#TABLE MODELS: MATCHING BASED ON ONLY VARIABLES WITH STRONG THEORY AS TO WHY THEY SHOULD BE ASSOCIATED WITH THE SEQUENCING VARIABLE ##
######################################################################################################################################

## R-CODE TO CREATE MATCHED SAMPLE##
matchdata <- read.dta("/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Archive/Matching/BS09_DATA.baseFPE.dta")
m.out.near0 <- matchit(diDDRf ~ T2fpemths1 + postCW + fintvngwar1 + unintrvnALL, data = matchdata, method = "nearest")
summary(m.out.near0)
#plot(m.out.near0)
m.data.near0 <- match.data(m.out.near0)
write.csv(m.data.near0, "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/ROBUSTNESS DATA FILES/nearFPE.csv")

#ANALYZE IN STATA##
clear
insheet using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/ROBUSTNESS DATA FILES/nearFPE.csv"
merge cwid using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/BS09_DATA_main.dta", sort
 for var t2fpemths1 postcw cycle2 fintvngwar1 unintrvnall unfpeaid1 prop mixed unexec dcenEVR wardur dead ridp gdpend : ttest X if weight ! = ., by(diddr)
*save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/ROBUSTNESS DATA FILES/BS09_NEARMATCH_fpe.dta"
 *R makes the variables lower cases so that some variables merge and others do not. 

*TEST BALANCE: COMPARISON OF MEANS BETWEEN TREATED AND CONTROL GROUPS*
for var T2fpemths1 postCW fintvngwar1  unintrvnALL: ttest X, by (diDDRf)
for var T2fpemths1 postCW fintvngwar1  unintrvnALL: gen Xwt = X*weight
for var T2fpemths1 postCW fintvngwar1  unintrvnALL: ttest Xwt, by (diDDRf)

*LOGISTIC REGRESSION WITH WEIGHTS FROM NEAREST NEIGHBOR MATCHING*
logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 [pweight=weights], cluster(countryname)
   outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/fpeNEAR_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se append label(insert) replace 
*logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 [pweight=weights] if fENDinWAR !=1, cluster(countryname)
logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR [pweight=weights], cluster(countryname)
  *logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR [pweight=weights] if fENDinWAR !=1, cluster(countryname)
  *gen prop_mixed = prop + mixed
*logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop_mixed unexec dcenEVR [pweight=weights], cluster(countryname)
	outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/fpeNEAR_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append 
*logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop_mixed unexec dcenEVR [pweight=weights] if fENDinWAR !=1, cluster(countryname)
logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpend [pweight=weights], cluster(countryname)
	outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/fpeNEAR_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se  label(insert) append 
*logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpend [pweight=weights] if fENDinWAR !=1, cluster(countryname)

*Institutions (Separate Table)*
logit nwar1 diDDRf FPEbureacracy FPEcorruption FPElaw_order eventno2 [pweight=weights], cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/fpeNEAR_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
*logit nwar1 diDDRf1 FPEbureacracy FPEcorruption FPElaw_order fpepolity1 postCW victory unintrvnALL UNfpeaid1 eventno2 [pweight=weights], cluster(countryname)

############################################ 
## FIRST POST-CONFLICT NATIONAL ELECTIONS ##
############################################

######################################################################################################################################
#TABLE MODELS: MATCHING BASED ON ONLY VARIABLES WITH STRONG THEORY AS TO WHY THEY SHOULD BE ASSOCIATED WITH THE SEQUECNING VARIABLE ##
######################################################################################################################################

## R-CODE TO CREATE MATCHED SAMPLE##
matchdata <- read.dta("/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Archive/Matching/BS09_DATA.baseNE.dta")
m.out.near0n <- matchit(diDDRn ~ T2nemths1 + postCW + nintvngwar1 + unintrvnALL, data = matchdata, method = "nearest")
summary(m.out.near0n)
#plot(m.out.near0n)
m.data.near0n <- match.data(m.out.near0n)
write.csv(m.data.near0n, "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/ROBUSTNESS DATA FILES/nearNE.csv")

#ANALYZE IN STATA##
clear
insheet using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/ROBUSTNESS DATA FILES/nearNE.csv"
merge cwid using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/BS09_DATA_main.dta", sort
 for var t2nemths1 postcw cycle2 nintvngwar1 unintrvnall unneaid1 prop mixed unexec dcenEVR: ttest X if weight ! = ., by(diddr)
*save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/ROBUSTNESS DATA FILES/BS09_NEARMATCH_nl.dta"
 *R makes the variables lower cases so that some variables merge and others do not. 
 
*TEST BALANCE: COMPARISON OF MEANS BETWEEN TREATED AND CONTROL GROUPS*
for var T2nemths1 postCW fintvngwar1 unintrvnALL: ttest X, by (diDDRn)
for var T2nemths1 postCW fintvngwar1 unintrvnALL: gen Xwt = X*weight
for var T2nemths1 postCW fintvngwar1 unintrvnALL: ttest Xwt, by (diDDRn)
 
*LOGISTIC REGRESSION WITH WEIGHTS FROM NEAREST NEIGHBOR MATCHING*
logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 [pweight=weights], cluster(countryname)
*logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 [pweight=weights] if nENDinWAR !=1, cluster(countryname)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/neNEAR_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append 
logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 prop mixed unexec dcenEVR [pweight=weights], cluster(countryname)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/neNEAR_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append 
*logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 prop mixed unexec dcenEVR [pweight=weights] if nENDinWAR !=1, cluster(countryname)
  *gen prop_mixed = prop + mixed
*logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 prop_mixed unexec dcenEVR [pweight=weights] if nENDinWAR !=1, cluster(countryname)
logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpend [pweight=weights], cluster(countryname)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/neNEAR_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append 
*logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpend [pweight=weights] if nENDinWAR !=1, cluster(countryname)

*Institutions (Separate Table)*
logit nwar1 diDDRn NEbureacracy NEcorruption NElaw_order eventno2 [pweight=weights], cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/neNEAR_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
*logit nwar1 diDDRn1 NEbureacracy NEcorruption NElaw_order nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 [pweight=weights], cluster(countryname)

