************************************
* TIME TO KILL: BRANCATI AND SNYDER*
************************************

clear 
set matsize 10000
use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/BS09_DATA_main.dta"


**************************************************************
*   FIRST POST-CONFLICT ELECTION, OUTBREAK OF NEW CIVIL WAR  * 
**************************************************************

logit nwar1 T2fpemths1 eventno2 if fENDinWAR !=1, cluster(countryname)
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 eventno2 if fENDinWAR !=1, cluster(countryname)
logit nwar1 T2fpemths1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 if fENDinWAR !=1, cluster(countryname)
*Model 1*
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 if fENDinWAR !=1, cluster(countryname)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARfpedate", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se replace label(insert) 
 test fpenatl1 fpeconrnt1
 prgen T2fpemths1, gen (peace) ci
 twoway line peacep1 peacex, ylabel(0(.2)1) xlabel(0(24)409)
 twoway (line peacep1 peacex) (line peacep1lb peacex, lpattern(tight_dot)) (line peacep1ub peacex, lpattern(tight_dot)), ytitle(Probability of New Civil War) ytitle(, size(small)) ylabel(0(.1)1, labsize(small)) xtitle(Months Until First Post-conflict National Election) xtitle(, size(small)) xlabel(0(24)409, labsize(small) angle(vertical)) legend(off) 
 prvalue, x(T2fpemths1=12)
 prvalue, x(T2fpemths1=24)
 prvalue, x(T2fpemths1=60)
 prvalue, x(T2fpemths1=120)
 drop peace* peace*
gen SQfpepolity1 =fpepolity1*fpepolity1
logit nwar1 T2fpemths1 SQfpepolity1 fpepolity1 postCW victory unintrvnALL UNfpeaid1 eventno2 if fENDinWAR !=1, cluster(countryname)
test SQfpepolity1 fpepolity1 

logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory intrvnALL UNfpeaid1 eventno2 if fENDinWAR !=1, cluster(countryname)
*Model 2*
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR if fENDinWAR !=1, cluster(countryname) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARfpedate", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append

*Model 3*
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpen if fENDinWAR !=1, cluster(countryname)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARfpedate", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
 test fpenatl1 fpeconrnt1

*Model 4*
gen T2fpemths1VIC =T2fpemths1*victory
logit nwar1 T2fpemths1 fpenatl1 fpeconrnt1 fpepolity1 postCW victory T2fpemths1VIC unintrvnALL UNfpeaid1 eventno2 if fENDinWAR !=1, cluster(countryname)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARfpedate", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append 
  test fpenatl1 fpeconrnt1
  test T2fpemths1 T2fpemths1VIC victory
  prvalue, x(T2fpemths1=12 T2fpemths1VIC=0 victory=0) 
  prvalue, x(T2fpemths1=12 T2fpemths1VIC=12 victory=1)  
forvalues count = 0(24)409 {
  quietly prvalue, x(T2fpemths1=`count' fpepolity1=0 postCW=1 victory=0 T2fpemths1VIC=`count' unintrvnALL=0 UNfpeaid1=0 eventno2=0) 
  praccum, using (mat_a) xis(`count')
  }
praccum, using (mat_a) gen(zero)
forvalues count = 0(24)409 {
  local one = 1
  local happy = `count'*`one'
  quietly prvalue, x(T2fpemths1=`count' fpepolity1=0 postCW=1 victory=1 T2fpemths1VIC=`happy' unintrvnALL=0 UNfpeaid1=0 eventno2=0) 
  praccum, using (mat_b) xis(`count')
  }
  praccum, using(mat_b) gen(one)
sort zerox
twoway line zerop1 onep1 zerox, lwidth(thick) ylabel(0(1)1) xlabel(0(24)409, labsize(small) angle(vertical)) xtitle(First Post-conflict Election) xtitle(, size(small)) ytitle(Probability of New Civil War) ytitle(, size(small)) ylabel(0(.1)1, labsize(small))  legend(order(1 "Truce/Settlement" 2 "Victory") textfirst rows(2) size(small) position(2) ring(0))

*Model 5*
gen T2fpemths1_unintrvnALL =T2fpemths1*unintrvnALL
logit nwar1 T2fpemths1 fpenatl1 fpeconrnt1 fpepolity1 postCW victory T2fpemths1_unintrvnALL unintrvnALL UNfpeaid1 eventno2 if fENDinWAR !=1, cluster(countryname)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARfpedate", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
 test fpenatl1 fpeconrnt1
 test T2fpemths1 T2fpemths1_unintrvnALL unintrvnALL
logit nwar1 T2fpemths1 fpepolity1 postCW victory T2fpemths1_unintrvnALL unintrvnALL UNfpeaid1 eventno2 if fENDinWAR !=1 & victory ==0, cluster(countryname)
 test T2fpemths1 T2fpemths1_unintrvnALL unintrvnALL
 prvalue, x(T2fpemths1=12 T2fpemths1_unintrvnALL=0 unintrvnALL=0) 
 prvalue, x(T2fpemths1=12 T2fpemths1_unintrvnALL=12 unintrvnALL=1) 
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory intrvnALL UNfpeaid1 eventno2 if fENDinWAR !=1, cluster(countryname)

*Model 6*
gen T2fpemths1_dcenEVR = T2fpemths1*dcenEVR
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR T2fpemths1_dcenEVR if fENDinWAR !=1, cluster(countryname)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARfpedate", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
 test fpenatl1 fpeconrnt1
 test T2fpemths1_dcenEVR T2fpemths1 dcenEVR
prvalue, x(T2fpemths1=12 T2fpemths1_dcenEVR =0 dcenEVR=0) 
prvalue, x(T2fpemths1=12 T2fpemths1_dcenEVR =12 dcenEVR=1)


***********************************
* T-TEST NATIONAL ELECTION TIMING *
***********************************

gen natsubnl = 1 if (fpenatl1 == 1 | fpeconrnt1 == 1)
recode natsubnl . = 0 if (fpenatl1 == 0 | fpeconrnt1 == 0)
ttest T2nemths1, by(natsubnl)

********************************
* LR RATIO TESTS (TIME DUMMIES)*
********************************

* Likelihood Ratio test does not work with cluster. The option "force" overrides this, but the results may be reliable. I, therefore, run the model without cluster and with cluster and force to ensure that the results are the same, which they are. 
* The null hypothesis of the LR Tests is that the model fits are the same. Rejecting the null because the Chi-square value is significant says that the more restrictive model (the model with more variables) has a better fit. 

logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 if fENDinWAR !=1, cluster(countryname)
estimates store A
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 event1-event5 if fENDinWAR !=1, cluster(countryname)
estimates store B
lrtest A B, force
*Significant at the 95% level. Thus, the more restrictive model has a better fit.  T2fpemths is not significant in both models.
 
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 if fENDinWAR !=1, cluster(countryname)
estimates store A
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 event1-event5 if fENDinWAR !=1, cluster(countryname)
estimates store B
lrtest A B, force
 *Significant at the 95% level. Thus, the more restrictive model has a better fit, but the T2fpemths1 is not significant in either model.

logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 prop mixed unexec dcenEVR if fENDinWAR !=1, cluster(countryname) 
estimates store A
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 prop mixed unexec dcenEVR event1-event5 if fENDinWAR !=1, cluster(countryname) 
estimates store B
lrtest A B, force
*Significant at the 95% level. Thus, the more restrictive model has a better fit, but the T2fpemths1 is not significant in either model.

logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 wardur dead ridp gdpen if fENDinWAR !=1, cluster(countryname)
estimates store A
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 wardur dead ridp gdpen event1-event5 if fENDinWAR !=1, cluster(countryname)
estimates store B
lrtest A B, force
*Significant at the 99% level. Thus, the more restrictive model has a better fit.  T2fpemths1 is significant in both models.
*Above: Including the event dummies reduces the N because they perfectly predicts failure. Thus, it is not suprising that the LR Test is significant. 

*******************************************************
* INTERACTION OF TIME WITH ALL POWERSHARING VARIABLES *
*******************************************************
gen T2fpemths1_dcenEVR = T2fpemths1*dcenEVR
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR T2fpemths1_dcenEVR if fENDinWAR !=1, cluster(countryname)
test T2fpemths1_dcenEVR T2fpemths1 dcenEVR
prvalue, x(T2fpemths1=12 T2fpemths1_dcenEVR =0 dcenEVR=0) 
prvalue, x(T2fpemths1=12 T2fpemths1_dcenEVR =12 dcenEVR=1)
prvalue, x(T2fpemths1=60 T2fpemths1_dcenEVR=0 dcenEVR=0) 
prvalue, x(T2fpemths1=60 T2fpemths1_dcenEVR=60 dcenEVR=1)
*DCEN SIG. REDUCES  PROB OF WAR. 

gen T2fpemths1_unexec = T2fpemths1*unexec
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec T2fpemths1_unexec dcenEVR if fENDinWAR !=1, cluster(countryname) 
test T2fpemths1_unexec T2fpemths1 unexec
prvalue, x(T2fpemths1=12 T2fpemths1_unexec=0 unexec =0) 
prvalue, x(T2fpemths1=12 T2fpemths1_unexec=12 unexec =1)
*NOT SIG.

gen T2fpemths1_prop = T2fpemths1*prop
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop T2fpemths1_prop mixed unexec dcenEVR if fENDinWAR !=1, cluster(countryname) 
test T2fpemths1_prop T2fpemths1 prop
prvalue, x(T2fpemths1=12 T2fpemths1_prop=0 prop =0) 
prvalue, x(T2fpemths1=12 T2fpemths1_prop=12 prop =1)
*NOT SIG. 

gen T2fpemths1_mixed = T2fpemths1*mixed
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed T2fpemths1_mixed unexec dcenEVR if fENDinWAR !=1, cluster(countryname) 
test T2fpemths1_mixed  T2fpemths1 mixed
prvalue, x(T2fpemths1=12 T2fpemths1_mixed=0 mixed =0) 
prvalue, x(T2fpemths1=12 T2fpemths1_mixed=12 mixed =1)
* NOT SIG. 


******************************
* ELF INDEX ROBUSTNESS TESTS *
******************************

*FPE Elections*
logit nwar1 T2fpemths1 eventno2 ELFred if fENDinWAR !=1, cluster(countryname)
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 eventno2 ELFred if fENDinWAR !=1, cluster(countryname)
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 ELFred  if fENDinWAR !=1, cluster(countryname)
logit nwar1 T2fpemths1 fpepolity1 postCW victory T2fpemths1VIC unintrvnALL UNfpeaid1 eventno2 ELFred if fENDinWAR !=1, cluster(countryname)
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR ELFred if fENDinWAR !=1, cluster(countryname) 
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpen ELFred if fENDinWAR !=1, cluster(countryname)


************************
* DECADE FIXED EFFECTS *
************************

logit nwar1 T2fpemths1 eventno2 dec1-dec6 if fENDinWAR !=1, cluster(countryname)
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 eventno2 dec1-dec6 if fENDinWAR !=1, cluster(countryname)
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 dec1-dec6 if fENDinWAR !=1, cluster(countryname)
logit nwar1 T2fpemths1 fpepolity1 postCW victory T2fpemths1VIC unintrvnALL UNfpeaid1 eventno2 dec1-dec6 if fENDinWAR !=1, cluster(countryname)
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 dec1-dec6 prop mixed unexec dcenEVR if fENDinWAR !=1, cluster(countryname) 
logit nwar1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 dec1-dec6 wardur dead ridp gdpen if fENDinWAR !=1, cluster(countryname)
 *Not enough Data to do the decade fixed effects above. 

***************************
* NON-LINEARITIES IN TIME *
***************************

egen cut4MTHS = cut(T2fpemths1), group(4)
browse cut4MTHS T2fpemths1
tab cut4MTHS, gen(_cut)

logit nwar1 _cut2 _cut3 _cut4 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 if fENDinWAR !=1, cluster(countryname)
  test _cut2 _cut3 _cut4
logit nwar1 _cut2 _cut3 _cut4 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR if fENDinWAR !=1, cluster(countryname) 
  test _cut2 _cut3 _cut4
logit nwar1 _cut2 _cut3 _cut4 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpen if fENDinWAR !=1, cluster(countryname)
  test _cut2 _cut3 _cut4
 
******************************************************
* FIRST NATIONAL ELECTION, OUTBREAK OF NEW CIVIL WAR * 
******************************************************

logit nwar1 T2nemths1 eventno2 if nENDinWAR !=1, cluster(countryname)
logit nwar1 T2nemths1 nepolity1 eventno2 if nENDinWAR !=1, cluster(countryname)
logit nwar1 T2nemths1 postCW victory unintrvnALL UNneaid1 eventno2 if nENDinWAR !=1, cluster(countryname)

*Model 7*
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 if nENDinWAR !=1, cluster(countryname)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARnedate", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se replace label(insert)
 prvalue, x(T2nemths1=12)
 prvalue, x(T2nemths1=60)
 prvalue, x(T2nemths1=12 dcenEVR=0)
 prvalue, x(T2nemths1=12 dcenEVR=1)
 prgen T2nemths1, gen (peace) ci
 twoway line peacep1 peacex, ylabel(0(.2)1) xlabel(0(24)409) , ytitle(Probability of New Civil War) ytitle(, size(small)) ylabel(0(.1)1, labsize(small)) xtitle(Months Until First Post-conflict National Election) xtitle(, size(small)) xlabel(0(24)409, labsize(small) angle(vertical)) legend(off) 
 twoway (line peacep1 peacex) (line peacep1lb peacex, lpattern(tight_dot)) (line peacep1ub peacex, lpattern(tight_dot)), ytitle(Probability of New Civil War) ytitle(, size(small)) ylabel(0(.1)1, labsize(small)) xtitle(Months Until First Post-conflict National Election) xtitle(, size(small)) xlabel(0(24)409, labsize(small) angle(vertical)) legend(off) 
 graph export "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Graphs/nwar.pdf", fontface(Times) replace 
gen SQnepolity1 =nepolity1*nepolity1
logit nwar1 T2nemths1 SQnepolity1 nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 if nENDinWAR !=1, cluster(countryname)
test SQnepolity1 nepolity1 
logit nwar1 T2nemths1 nepolity1 postCW victory intrvnALL UNneaid1 eventno2 if nENDinWAR !=1, cluster(countryname)

*Model 8*
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 prop mixed unexec dcenEVR eventno2 if nENDinWAR !=1, cluster(countryname) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARnedate", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
 prvalue, x(T2nemths1=12)
 prvalue, x(T2nemths1=60)
 prvalue, x(T2nemths1=120)
 drop peace*

*Model 9*
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpen if nENDinWAR !=1, cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARnedate", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append

*Model 10*
gen T2nemths1VIC =T2nemths1*victory
logit nwar1 T2nemths1 nepolity1 postCW victory T2nemths1VIC unintrvnALL UNneaid1 eventno2 if nENDinWAR !=1, cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARnedate", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
  test T2nemths1 T2nemths1VIC victory
  prvalue, x(T2nemths1=12 T2nemths1VIC=0 victory=0) 
  prvalue, x(T2nemths1=12 T2nemths1VIC=12 victory=1) 
forvalues count = 0(24)409 {
  quietly prvalue, x(T2nemths1=`count' nepolity1=0 postCW=1 victory=0 T2nemths1VIC=`count' unintrvnALL=0 UNneaid1=0 eventno2=0)  
  praccum, using (mat_a2) xis(`count')	
  }
praccum, using (mat_a2) gen(zero2)
forvalues count = 0(24)409 {
  local one = 1
  local happy = `count'*`one'
  quietly prvalue, x(T2nemths1=`count' nepolity1=0 postCW=1 victory=1 T2nemths1VIC=`happy' unintrvnALL=0 UNneaid1=0 eventno2=0) 
  praccum, using (mat_b2) xis(`count')
  }
  praccum, using(mat_b2) gen(one2)
sort zero2x
twoway line zero2p1 one2p1 zero2x, lwidth(thick) ylabel(0(1)1) xlabel(0(24)409, labsize(small) angle(vertical)) xtitle(First Post-conflict National Election) xtitle(, size(small)) ytitle(Probability of New Civil War) ytitle(, size(small)) ylabel(0(.1)1, labsize(small))  legend(order(1 "Truce/Settlement" 2 "Victory") textfirst rows(2) size(small) position(2) ring(0))
logit nwar1 T2nemths1 nepolity1 postCW victory T2nemths1VIC intrvnALL UNneaid1 eventno2 if nENDinWAR !=1, cluster(countryname)

*Model 11*
gen T2nemths1_unintrvnALL =T2nemths1*unintrvnALL
logit nwar1 T2nemths1 nepolity1 postCW victory T2nemths1_unintrvnALL unintrvnALL UNneaid1 eventno2 if nENDinWAR !=1, cluster(countryname)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARnedate", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
 test T2nemths1 T2nemths1_unintrvnALL unintrvnALL
 prvalue, x(T2nemths1=12 T2nemths1_unintrvnALL=0 unintrvnALL=0 victory=0) 
 prvalue, x(T2nemths1=12 T2nemths1_unintrvnALL=12 unintrvnALL=1 victory=0) 
logit nwar1 T2nemths1 nepolity1 postCW victory T2nemths1_unintrvnALL unintrvnALL UNneaid1 eventno2 if nENDinWAR !=1 & victory ==0, cluster(countryname)
 test T2nemths1 T2nemths1_unintrvnALL unintrvnALL
 prvalue, x(T2nemths1=12 T2nemths1_unintrvnALL=0 unintrvnALL=0) 
 prvalue, x(T2nemths1=12 T2nemths1_unintrvnALL=12 unintrvnALL=1)  

*Model 12*
gen T2nemths1_dcenEVR = T2nemths1*dcenEVR
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 prop mixed unexec dcenEVR T2nemths1_dcenEVR eventno2 if nENDinWAR !=1, cluster(countryname) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARnedate", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
test T2nemths1_dcenEVR T2nemths1 dcenEVR
prvalue, x(T2nemths1=12 T2nemths1_dcenEVR=0 dcenEVR=0) 
prvalue, x(T2nemths1=12 T2nemths1_dcenEVR=12 dcenEVR=1)

*********************************
* LR RATIO TESTS (TIME DUMMIES) *
*********************************

*See notes above. 

logit nwar1 T2nemths1 nepolity1 if nENDinWAR !=1, cluster(countryname)
estimates store A
logit nwar1 T2nemths1 nepolity1 event1-event5 if nENDinWAR !=1, cluster(countryname)
estimates store B
lrtest A B, force
 *Not significant. Thus, the less restrictive model fits better. 
 
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 if nENDinWAR !=1, cluster(countryname)
estimates store A
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 event1-event5 if nENDinWAR !=1, cluster(countryname)
estimates store B
lrtest A B, force
 *Significant at the 95% level. Thus, the more restrictive model fits better.   T2nemths1 significant at 90% level for the less restrictive model and 95% in the more restrictive model. 

logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 prop mixed unexec dcenEVR if nENDinWAR !=1, cluster(countryname) 
estimates store A
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 prop mixed unexec dcenEVR event1-event5 if nENDinWAR !=1, cluster(countryname) 
estimates store B
lrtest A B, force
 *Significant at the 90% level, but not the 95% level. T2nemths1 is significant at the 95% level in both the restrive and less restrictive models. 

logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 wardur dead ridp gdpen if nENDinWAR !=1, cluster(countryname)
estimates store A
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 wardur dead ridp gdpen event1-event5 if nENDinWAR !=1, cluster(countryname)
estimates store B
lrtest A B, force
 *Significant at the 99% level. Thus, the more restrictive model fits better. 
 *Above: Including the event dummies reduces the N because they perfectly predicts success. Thus, it is not suprising that the LR Test is significant. 


*****************************************
* INTERACTION OF TIME WITH POWERSHARING *
*****************************************
gen T2nemths1_dcenEVR = T2nemths1*dcenEVR
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 prop mixed unexec dcenEVR T2nemths1_dcenEVR eventno2 if nENDinWAR !=1, cluster(countryname) 
test T2nemths1_dcenEVR T2nemths1 dcenEVR
prvalue, x(T2nemths1=12 T2nemths1_dcenEVR=0 dcenEVR=0) 
prvalue, x(T2nemths1=12 T2nemths1_dcenEVR=12 dcenEVR=1)
prvalue, x(T2nemths1=60 T2nemths1_dcenEVR=0 dcenEVR=0) 
prvalue, x(T2nemths1=60 T2nemths1_dcenEVR=60 dcenEVR=1)
**DCEN SIG. REDUCES PROB OF WAR. 

gen T2nemths1_unexec = T2nemths1*unexec
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 prop mixed unexec T2nemths1_unexec dcenEVR eventno2 if nENDinWAR !=1, cluster(countryname) 
test T2nemths1_unexec T2nemths1 unexec
prvalue, x(T2nemths1=12 T2nemths1_unexec=0 unexec=0) 
prvalue, x(T2nemths1=12 T2nemths1_unexec=12 unexec=1)
prvalue, x(T2nemths1=60 T2nemths1_unexec=0 unexec=0) 
prvalue, x(T2nemths1=60 T2nemths1_unexec=60 unexec=1)
**UNEXEC SIG. INCREASES PROB OF WAR.

gen T2nemths1_prop = T2nemths1*prop
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 prop T2nemths1_prop mixed unexec dcenEVR eventno2 if nENDinWAR !=1, cluster(countryname) 
test T2nemths1_prop T2nemths1 prop
prvalue, x(T2nemths1=12 T2nemths1_prop=0 prop =0) 
prvalue, x(T2nemths1=12 T2nemths1_prop=12 prop =1)
*NOT SIG.

gen T2nemths1_mixed = T2nemths1*mixed
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 prop mixed T2nemths1_mixed unexec dcenEVR eventno2 if nENDinWAR !=1, cluster(countryname) 
test T2nemths1_mixed  T2nemths1 mixed
prvalue, x(T2nemths1=12 T2nemths1_mixed=0 mixed =0) 
prvalue, x(T2nemths1=12 T2nemths1_mixed=12 mixed =1)
*SIG. REDUCES PROB OF WAR AT THE .10 LEVEL. 

******************************
* ELF INDEX ROBUSTNESS TESTS *
******************************

logit nwar1 T2nemths1 eventno2 ELFred if nENDinWAR !=1, cluster(countryname)
logit nwar1 T2nemths1 nepolity1 eventno2 ELFred if nENDinWAR !=1, cluster(countryname)
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 ELFred if nENDinWAR !=1, cluster(countryname)
logit nwar1 T2nemths1 nepolity1 postCW victory T2nemths1VIC unintrvnALL UNneaid1 eventno2 ELFred if nENDinWAR !=1, cluster(countryname) 
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 prop mixed unexec dcenEVR ELFred if nENDinWAR !=1, cluster(countryname) 
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpen ELFred if nENDinWAR !=1, cluster(countryname)


************************
* DECADE FIXED EFFECTS *
************************

logit nwar1 T2nemths1 eventno2 dec1-dec6 if nENDinWAR !=1, cluster(countryname)
logit nwar1 T2nemths1 nepolity1 eventno2 dec1-dec6 if nENDinWAR !=1, cluster(countryname)
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 dec1-dec6 if nENDinWAR !=1, cluster(countryname)
logit nwar1 T2nemths1 nepolity1 postCW victory T2nemths1VIC unintrvnALL UNneaid1 eventno2 dec1-dec6 if nENDinWAR !=1, cluster(countryname)
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 prop mixed unexec eventno2 dec1-dec6 if nENDinWAR !=1, cluster(countryname) 
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpen dec1-dec6 if nENDinWAR !=1, cluster(countryname)

***************************
* NON-LINEARITIES IN TIME *
***************************

egen cut4nMTHS = cut(T2nemths1), group(4)
browse cut4nMTHS T2nemths1
tab cut4nMTHS, gen(_cutN)

logit nwar1 _cutN2 _cutN3 _cutN4 nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 if nENDinWAR !=1, cluster(countryname)
  test _cutN2 _cutN3 _cutN4
logit nwar1 _cutN2 _cutN3 _cutN4 nepolity1 postCW victory unintrvnALL UNneaid1 prop mixed unexec dcenEVR eventno2 if nENDinWAR !=1, cluster(countryname)
  test _cutN2 _cutN3 _cutN4
logit nwar1 _cutN2 _cutN3 _cutN4 nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpen if nENDinWAR !=1, cluster(countryname)
  test _cutN2 _cutN3 _cutN4
 
*********************************************************************************************************************************************************************
*********************************************************************************************************************************************************************

************************
* ELECTORAL SEQUENCING *
************************
***************************************************************
*DEMOBILIZATION -> FIRST POST-CONFLICT ELECTION (NO MATCHING) *
***************************************************************

*logit nwar1 diDDRf if fENDinWAR !=1 & victory != 1, cluster(countryname)
*pwcorr T2fpemths1 diDDRf1 if fENDinWAR !=1
*logit nwar1 diDDRf1 T2nemths1 if fENDinWAR !=1 & victory ! = 1, cluster(countryname)
*tabstat T2fpemths1 if fENDinWAR !=1, by (diDDRf1)

logit nwar1 diDDRf1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2, cluster(countryname)
*logit nwar1 diDDRf1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 if fENDinWAR !=1, cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARddr09", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) replace 
  prvalue, x(diDDRf1=0)
  prvalue, x(diDDRf1=1)
  prgen diDDRf1, gen (peace) ci
  twoway line peacep1 peacex, ylabel(0(.2)1) xlabel(0(.2)1) , ytitle(Probability of New Civil War) ytitle(, size(small)) ylabel(0(.2)1, labsize(small)) xtitle(Demobilization Prior to First Post-conflict Election) xtitle(, size(small)) xlabel(0(1)1, labsize(small) angle(horizontal)) legend(off) 
  graph export "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Graphs/matchDDR_NATL1.pdf", fontface(Times) replace 
  twoway (line peacep1 peacex) (line peacep1lb peacex, lpattern(tight_dot)) (line peacep1ub peacex, lpattern(tight_dot)), ytitle(Probability of New Civil War) ytitle(, size(small)) ylabel(0(.2)1, labsize(small)) xtitle(Demoblization Prior to First Post-conflict Election) xtitle(, size(small)) xlabel(0(1)1, labsize(small) angle(horizontal)) legend(off) 
  graph export "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Graphs/matchDDR_NATL2.pdf", fontface(Times) replace 
 
  logit nwar1 diDDRf1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 if fENDinWAR !=1, cluster(countryname)
  
*logit nwar1 ebDDRf eaDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 if fENDinWAR !=1, cluster(countryname)
  *test ebDDRf eaDDRf
  
*logit nwar1 ebDDRf eaDDRfv DDRvf fpepolity1 fpenatl1 fpeconrnt1 postCW unintrvnALL UNfpeaid1 eventno2 if fENDinWAR !=1, cluster(countryname)
  *test ebDDR eaDDRf DDRvf 

logit nwar1 diDDRf1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR, cluster(countryname)    
*logit nwar1 diDDRf1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR if fENDinWAR !=1, cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARddr09", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
  prvalue, x(diDDRf1=0)
  prvalue, x(diDDRf1=1)
  logit nwar1 diDDRf1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR1 if fENDinWAR !=1, cluster(countryname)

logit nwar1 diDDRf1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpen, cluster(countryname) 
*logit nwar1 diDDRf1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpen if fENDinWAR !=1, cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARddr09", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
  logit nwar1 diDDRf1 T2fpemths1 fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpen if fENDinWAR !=1, cluster(countryname)
  
************************************************************************
*DEMOBILIZATION -> FIRST POST-CONFLICT NATIONAL ELECTION (NO MATCHING) *
************************************************************************

*logit nwar1 diDDRn if nENDinWAR !=1 & victory != 1, cluster(countryname)
*logit nwar1 diDDRn T2nemths1  if nENDinWAR !=1 & victory ! = 1, cluster(countryname)


logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2, cluster(countryname)
*logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 if nENDinWAR !=1, cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARddr09", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
  prvalue, x(diDDRn1=0)
  prvalue, x(diDDRn1=1)
  logit nwar1 diDDRn T2nemths1 nepolity1 postCW victory unintrvnALL UNfpeaid1 eventno2 if nENDinWAR !=1, cluster(countryname)
  
*logit nwar1 ebDDRn eaDDRn nepolity1  postCW victory unintrvnALL UNneaid1 eventno2 if nENDinWAR !=1, cluster(countryname)
  *test ebDDRn eaDDRn
  
*logit nwar1 ebDDRn eaDDRvn DDRvn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 if nENDinWAR !=1, cluster(countryname)
  *test ebDDRn eaDDRn DDRvn

logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 prop mixed unexec dcenEVR, cluster(countryname)                   
*logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 prop mixed unexec dcenEVR if nENDinWAR !=1, cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARddr09", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
  prvalue, x(diDDRn1=0)
  prvalue, x(diDDRn1=1)
  logit nwar1 diDDRn T2nemths1 nepolity1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR if nENDinWAR !=1, cluster(countryname)
  logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 prop mixed unexec dcenEVR if nENDinWAR !=1, cluster(countryname)

logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpen, cluster(countryname)
*logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpen if nENDinWAR !=1, cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARddr09", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
  prvalue, x(diDDRn1=0)
  prvalue, x(diDDRn1=1)
  logit nwar1 diDDRn T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpen if nENDinWAR !=1, cluster(countryname)
  
****WHAT PREDICTS DEMOBILIZATION SEQUENCING****
logit diDDRf1 T2fpemths1, cluster(countryname)
logit diDDRn T2nemths1, cluster(countryname)
  
logit diDDRf1 T2fpemths1 postCW fintvngwar1 unintrvnALL, cluster(countryname)
logit diDDRn1 T2nemths1 postCW fintvngwar1 unintrvnALL,  cluster(countryname)
  
********************************
*** INSTITUTIONAL SEQUENCING *** 
********************************

*PRS averaged the data creating a continous measure although the original categories are discrete and ordinal.*

logit nwar1 diDDRf1 FPEbureacracy eventno2, cluster(countryname)
logit nwar1 diDDRn1 NEbureacracy eventno2, cluster(countryname)

logit nwar1 diDDRf1 FPEcorruption eventno2, cluster(countryname)
logit nwar1 diDDRn1 NEcorruption eventno2, cluster(countryname)

logit nwar1 diDDRf1 FPElaw_order eventno2, cluster(countryname)
logit nwar1 diDDRn1 NElaw_order eventno2, cluster(countryname)

*Model 25*
logit nwar1 diDDRf1 FPEbureacracy FPEcorruption FPElaw_order eventno2, cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARinstitutions09", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) replace

*Model 26*
logit nwar1 diDDRn1 NEbureacracy NEcorruption NElaw_order eventno2, cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARinstitutions09", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
*logit nwar1 diDDRf1 FPEbureacracy FPEcorruption FPElaw_order fpepolity1 postCW victory unintrvnALL UNfpeaid1 eventno2, cluster(countryname)
*logit nwar1 diDDRn1 NEbureacracy NEcorruption NElaw_order nepolity1 postCW victory unintrvnALL UNneaid1 eventno2, cluster(countryname)

*logit nwar1 diDDRf1 FPEbureacracy FPEcorruption FPElaw_order fpepolity1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR, cluster(countryname)                   
*logit nwar1 diDDRn1 NEbureacracy NEcorruption NElaw_order nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 prop mixed unexec dcenEVR, cluster(countryname)                   

*logit nwar1 diDDRf1 FPEbureacracy FPEcorruption FPElaw_order fpepolity1 postCW victory unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpen, cluster(countryname)
*logit nwar1 diDDRn1 NEbureacracy NEcorruption NElaw_order nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpen, cluster(countryname)

**********************************************************************
**RELATIONSHIP BETWEEN ELECTION TIMING AND INSTITUTIONAL DEVELOPMENT**
**********************************************************************

*DEMOBILIZATION IN RELATION TO TIMING OF FIRST POST-CONFLICT ELECTIONS*

ttest T2fpemths1 if fENDinWAR !=1, by (diDDRf)
ttest T2nemths1 if nENDinWAR !=1, by (diDDRn)

logit diDDRf T2fpemths1 postCW fintvngwar1 cycle unintrvnALL UNfpeaid1, cluster(countryname) 
logit diDDRf T2fpemths1 postCW fintvngwar1 cycle unintrvnALL UNfpeaid1 prop mixed unexec dcen, cluster(countryname)
logit diDDRf T2fpemths1 postCW fintvngwar1 cycle unintrvnALL UNfpeaid1 prop mixed unexec wardur dead ridp gdpen, cluster(countryname)

*DEMOBILIZATION IN RELATION TO TIMING OF FIRST NATIONAL POST-CONFLICT ELECTIONS*
logit diDDRn T2nemths1 postCW nintvngwar1 cycle unintrvnALL UNneaid1, cluster(countryname)
logit diDDRn T2nemths1 postCW nintvngwar1 cycle unintrvnALL UNneaid1 prop mixed unexec dcen, cluster(countryname)
logit diDDRn T2nemths1 postCW nintvngwar1 cycle unintrvnALL UNneaid1 prop mixed unexec wardur dead ridp gdpen, cluster(countryname)

reg fpepolity1 T2fpemths1, cluster(countryname)
reg nepolity1 T2nemths1, cluster(countryname)

reg FPEbureacracy T2fpemths1, cluster(countryname)
reg NEbureacracy T2nemths1, cluster(countryname)
reg FPEcorruption T2fpemths1, cluster(countryname)
reg NEcorruption T2nemths1, cluster(countryname)
reg FPElaw_order T2fpemths1, cluster(countryname)
reg NElaw_order T2nemths1, cluster(countryname)

