#################################
##** MATCHING: TIME TO KILL **###
#################################

################### GENERAL NOTES #####################################
# CODE IS WRITTEN IN R AND STATA. MUST SHIFT BETWEEN PROGRAMS.        #
# TABLE MODELS INCLUDE MATCHING BASED ON POWERSHARING AND FULL MODELS.# 
#######################################################################

######################
## DATASET CREATION ##
######################

##** MATCHING DOES NOT ACCOMMODATE MISSING DATA. THEREFORE, FOR EACH MODEL, WE CREATE DATASETS IN STATA WITHOUT MISSING DATA **##


##** MATCHING DOES NOT ACCOMMODATE MISSING DATA. THEREFORE, FOR EACH MODEL, WE CREATE DATASETS IN STATA WITHOUT MISSING DATA **##

use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/BS09_DATA_ALL.dta"
keep cwid countryname T2fpemths1 T2nemths1 diDDRf diDDRn postCW victory negsetruce cycle fintvngwar1 nintvngwar1 unintrvnALL UNfpeaid1 UNneaid1 prop mixed unexec dcen wardur dead ridp gdpen fENDinWAR1 nENDinWAR1
sort countryname cwid 
save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.TEMP1.dta", replace

** BASE MODEL FILES PLUS POWERSHARING**
clear
use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.TEMP1.dta"
keep cwid countryname T2fpemths1 diDDRf postCW victory negsetruce cycle fintvngwar1 unintrvnALL UNfpeaid1 prop mixed unexec dcen fENDinWAR1
sort countryname cwid 
drop if (T2fpemths1 == . | diDDRf == . | postCW == . | victory == . | negsetruce == . | cycle  == . | fintvngwar1 == . | unintrvnALL == . | UNfpeaid1 == . | prop == . | mixed == . | unexec == . | dcen == . ) 
save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.baseFPE.dta", replace

clear
use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.TEMP1.dta"
keep cwid countryname T2nemths1 diDDRn postCW victory negsetruce cycle nintvngwar1 unintrvnALL UNneaid1 prop mixed unexec dcen nENDinWAR1
sort countryname cwid 
drop if (T2nemths1 == . | diDDRn == . | postCW == . | victory == . | negsetruce == . | cycle  == . | nintvngwar1 == . | unintrvnALL == . | UNneaid1 == . | prop == . | mixed == . | unexec == .  | dcen == . ) 
save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.baseNE.dta", replace

**FULL MODELS**
clear
use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.TEMP1.dta"
sort countryname cwid 
keep cwid countryname T2fpemths1 diDDRf postCW victory negsetruce cycle fintvngwar1 unintrvnALL UNfpeaid1 prop mixed unexec dcen wardur dead ridp gdpen 
drop if (T2fpemths1 == . | diDDRf == . | postCW == . | victory == . | negsetruce == . | cycle  == . | fintvngwar1 == . | unintrvnALL == . | UNfpeaid1 == . | prop == . | mixed == . | unexec == . | dcen == . | wardur == . | dead == . | ridp == . | gdpen == .) 
save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.fullFPE.dta", replace

clear
use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.TEMP1.dta"
keep cwid countryname T2nemths1 diDDRn postCW victory negsetruce cycle nintvngwar1 unintrvnALL UNneaid1 prop mixed unexec dcen wardur dead ridp gdpen 
sort countryname cwid 
drop if (T2nemths1 == . | diDDRn == . | postCW == . | victory == . | negsetruce == . | cycle  == . | nintvngwar1 == . | unintrvnALL == . | UNneaid1 == . | prop == . | mixed == . | unexec == . | dcen == . | wardur == . | dead == . | ridp == . | gdpen == .) 
save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.fullNE.dta", replace

#####################################################################
# MATCHING: DICHOTOMOUS TREATMENT (DEMOBILIZATION PRIOR TO ELECTION)#
#####################################################################


#########WHAT PREDICTS DEMOBILIZATION SEQUENCING PRIOR TO MATCHING#########
logit diDDRf T2fpemths1 postCW fintvngwar1 unintrvnALL, robust
 for var T2fpemths1 postCW fintvngwar1  unintrvnALL: ttest X, by (diDDRf)
logit diDDRf T2fpemths1 postCW victory fintvngwar1 cycle unintrvnALL UNfpeaid1 prop mixed unexec dcen,  robust
logit diDDRf T2fpemths1 postCW victory fintvngwar1 cycle unintrvnALL UNfpeaid1 wardur dead ridp gdpen,  robust

logit diDDRn T2nemths1 postCW fintvngwar1 unintrvnALL,  robust
  for var T2nemths1 postCW fintvngwar1 unintrvnALL: ttest X, by(diDDRn)
logit diDDRn T2nemths1 postCW victory fintvngwar1 cycle unintrvnALL UNfpeaid1 prop mixed unexec dcen,  robust
logit diDDRn T2nemths1 postCW victory fintvngwar1 cycle unintrvnALL UNfpeaid1 wardur dead ridp gdpen robust


postCW victory fintvngwar1 cycle unintrvnALL UNfpeaid1

install.packages("MatchIt")
library(MatchIt)
update.packages()
library(foreign)

###################
### IMPORT DATA.###
###################
  
################################### 
## FIRST POST-CONFLICT ELECTIONS ##
###################################

######################################################################################################################################
#TABLE MODELS: MATCHING BASED ON ONLY VARIABLES WITH STRONG THEORY AS TO WHY THEY SHOULD BE ASSOCIATED WITH THE SEQUECNING VARIABLE ##
######################################################################################################################################

matchdata <- read.dta("/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.baseFPE.dta")
m.out.gen0 <- matchit(diDDRf ~ T2fpemths1 + postCW + fintvngwar1 + unintrvnALL, data = matchdata, method = "genetic")
summary(m.out.gen0)
#plot(m.out.gen0)
m.data.gen0 <- match.data(m.out.gen0)
write.csv(m.data.gen0, "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/matchedtheoryFPE2.csv")
#ANALYZE IN STATA##
clear
insheet using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/matchedtheoryFPE2.csv"
merge cwid using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/BS09_DATA.dta", sort
 for var t2fpemths1 postcw cycle fintvngwar1 unintrvnall unfpeaid1 prop mixed unexec wardur dead ridp gdpend : ttest X if weight ! = ., by(diddr)
save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/FPE_DDRmatched0theory.dta"
 *R makes the variables lower cases so that some variables merge and others do not. 

*TEST BALANCE: COMPARISON OF MEANS BETWEEN TREATED AND CONTROL GROUPS*
for var T2fpemths1 postCW fintvngwar1  unintrvnALL: ttest X, by (diDDRf)
for var T2fpemths1 postCW fintvngwar1  unintrvnALL: gen Xwt = X*weight
for var T2fpemths1 postCW fintvngwar1  unintrvnALL: ttest Xwt, by (diDDRf)

*LOGISTIC REGRESSION WITH WEIGHTS FROM GENETIC MATCHING*
logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 [pweight=weights], cluster(countryname)
   outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/MATCHED_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se append label(insert) replace 
*logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 [pweight=weights] if fENDinWAR !=1, cluster(countryname)
logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR [pweight=weights], cluster(countryname)
  *logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec dcenEVR [pweight=weights] if fENDinWAR !=1, cluster(countryname)
  *gen prop_mixed = prop + mixed
*logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop_mixed unexec dcenEVR [pweight=weights], cluster(countryname)
	outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/MATCHED_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append 
*logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop_mixed unexec dcenEVR [pweight=weights] if fENDinWAR !=1, cluster(countryname)
logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpend [pweight=weights], cluster(countryname)
	outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/MATCHED_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se  label(insert) append 
*logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpend [pweight=weights] if fENDinWAR !=1, cluster(countryname)

use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/FPE_DDRmatched0theory2.dta"
 *File same as FPE_DDRmatched0theory plus bureacracy corruption law_order
logit nwar1 diDDRf FPEbureacracy FPEcorruption FPElaw_order eventno2 [pweight=weights], cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARinstitutions09", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append
  
############################################################################################################################################

##**MATCHING BASED ON BASE MODEL FILES: FIRST POST-CONFLICT ELECTIONS**##
matchdata <- read.dta("/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.baseFPE.dta")
m.out.gen1 <- matchit(diDDRf ~ T2fpemths1 + postCW + cycle + fintvngwar1 + unintrvnALL + UNfpeaid1, data = matchdata, method = "genetic")
summary(m.out.gen1)
#plot(m.out.gen1)
m.data.gen1 <- match.data(m.out.gen1)
write.csv(m.data.gen1, "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/matchedbaseFPE.csv")
#ANALYZE IN STATA##
clear
insheet using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/matchedbaseFPE.csv"
merge cwid using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/BS09_DATA.dta", sort
 for var t2fpemths1 postcw cycle fintvngwar1 unintrvnall unfpeaid1 prop mixed unexec: ttest X if weight ! = ., by(diddr)
save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/FPE_DDRmatched1.dta"
 *R makes the variables lower cases so that some variables merge and others do not. 
logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 [pweight=weights] if fENDinWAR !=1, cluster(countryname)
*LOGISTIC REGRESSION WITH WEIGHTS FROM GENETIC MATCHING*
logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 [pweight=weights] if fENDinWAR !=1
 *outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/FPE_DDRmatched", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) replace 
  prgen diDDRf, x(fpepolity1=0 fpenatl1=1 fpeconrnt1=0 postCW=0 victory == 1 unintrvnALL=1 UNfpeaid1=1 eventno2=0) gen (peace1) ci
  twoway (line peacep1 peacex), ytitle(Probability of New Civil War) ytitle(, size(small)) ylabel(0(.2)1, labsize(small)),, xtitle(Sequencing of Demobilization and Elections) xtitle(, size(small)) xlabel(minmax, labsize(small)) legend(off)
  twoway (line peacep1 peacex) (line peacep1lb peacex, lpattern(tight_dot)) (line peacep1ub peacex, lpattern(tight_dot)), ytitle(Probability of New Civil War) ytitle(, size(small)) ylabel(0(.2)1, labsize(small)),, xtitle(Sequencing of Demobilization and Elections) xtitle(, size(small)) xlabel(minmax, labsize(small)) legend(off)
  
 *LOGISTIC REGRESSION WITHOUT WEIGHTS FROM GENETIC MATCHING [FULL SAMPLE]*
 logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 if fENDinWAR !=1, cluster(countryname)
 prgen diDDRf, x(fpepolity1=0 fpenatl1=1 fpeconrnt1=0 postCW=0 victory == 1 unintrvnALL=1 UNfpeaid1=1 eventno2=0) gen (peace1ngen) ci
 twoway (line peace1ngenp1 peace1ngenx), ytitle(Probability of New Civil War) ytitle(, size(small)) ylabel(0(.2)1, labsize(small)),, xtitle(Sequencing of Demobilization and Elections) xtitle(, size(small)) xlabel(minmax, labsize(small)) legend(off)
 twoway (line peace1ngenp1 peace1ngenx) (line peace1ngenp1lb peace1x, lpattern(tight_dot)) (line peace1ngenp1ub peace1x, lpattern(tight_dot)), ytitle(Probability of New Civil War) ytitle(, size(small)) ylabel(0(.2)1, labsize(small)),, xtitle(Sequencing of Demobilization and Elections) xtitle(, size(small)) xlabel(minmax, labsize(small)) legend(off)
  
 *COMBINE REGRESSION RESULTS WITHOUT AND WITHOUT GENETIC MATCHING*
  twoway (line peace1p1 peace1x) (line peace1ngenp1 peace1x, lwidth(medium) lpattern(shortdash)), ytitle(Probability of New War) ytitle(, size(small)) ylabel(0(.2)1, labsize(small)) xtitle(Sequencing of Demobilization and First Post-Conflict Elections) xtitle(, size(small)) xlabel(minmax, labsize(small)) legend(on order(1 "Matched Sample" 2 "Full Sample") cols(1) size(vsmall) region(lcolor(black)) position(1) ring(0))
  *graph save Graph "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Graphs/DDRmatch.pdf", replace
  
##**MATCHING BASED ON BASE MODEL FILES PLUS POWERSHARING**##

matchdata <- read.dta("/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.baseFPE.dta")
m.out.gen2 <- matchit(diDDRf ~ T2fpemths1 + postCW + cycle + fintvngwar1 + unintrvnALL + UNfpeaid1 + prop + mixed + unexec + dcen, data = matchdata, pop.size=1000, max.generations=100, wait.generations=10, method = "genetic")
summary(m.out.gen2)
#plot(m.out.gen2)
m.data.gen2 <- match.data(m.out.gen2)
write.csv(m.data.gen2, "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/matchedpwrFPE.csv")
#ANALYZE IN STATA##
clear
insheet using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/matchedpwrFPE.csv"
for var t2fpemths1 postcw cycle fintvngwar1 unintrvnall unfpeaid1 prop mixed unexec dcen: ttest X if weight ! = ., by(diddr)
merge cwid using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/BS09_DATA.dta", sort
save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/FPE_DDRmatched2.dta", replace
 *R makes the variables lower cases so that some variables merge and others do not. 
 for var T2fpemths1 postCW cycle fintvngwar1 UNfpeaid1 unintrvnALL prop mixed unexec dcen: ttest X, by(diDDRf)
*LOGISTIC REGRESSION WITH WEIGHTS FROM GENETIC MATCHING*
logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 [pweight=weights] if fENDinWAR !=1, cluster(countryname)
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/FPE_DDRmatched", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) replace
 logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec [pweight=weights] if fENDinWAR !=1, cluster(countryname)
 *logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 prop mixed unexec [pweight=weights] if fENDinWAR !=1, cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/FPE_DDRmatched", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se append
  
  
##**MATCHING BASED ON FULL MODELS: FIRST POST-CONFLICT ELECTIONS**##
matchdata <- read.dta("/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.fullFPE.dta")
m.out.gen3 <- matchit(diDDRf ~ T2fpemths1 + postCW + cycle + fintvngwar1 + unintrvnALL + UNfpeaid1 + wardur + dead + ridp + gdpend, data = matchdata, pop.size=1000,  method = "genetic")
summary(m.out.gen3)
plot(m.out.gen3)
m.data.gen3 <- match.data(m.out.gen3)
write.csv(m.data.gen3, "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/matchedfullFPE.csv")
#ANALYZE IN STATA##
clear
insheet using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/matchedfullFPE.csv"
 for var t2fpemths1 postcw cycle fintvngwar1 unintrvnall unfpeaid1 prop mixed unexec wardur dead ridp gdpend: ttest X if weight ! = ., by(diddr)
 merge cwid using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/BS09_DATA.dta", sort
 *R makes the variables lower cases so that some variables merge and others do not. 
 save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/FPE_DDRmatched3.dta"
 for var T2fpemths1 postCW cycle fintvngwar1 UNfpeaid1 unintrvnALL prop mixed unexec wardur dead ridp gdpend: ttest X, by(diDDRf)
*logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpen [pweight=weights] if fENDinWAR !=1, cluster(countryname)
  *To reduce collinearity, fpenatl1 fpeconrnt1 are dropped from the above. 
  logit nwar1 diDDRf fpepolity1 postCW  unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpen [pweight=weights] if fENDinWAR !=1, cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/FPE_DDRmatched", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se append
  *logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 wardur dead ridp gdpen [pweight=weights] if fENDinWAR !=1cluster(countryname)


############################################ 
## FIRST POST-CONFLICT NATIONAL ELECTIONS ##
############################################

######################################################################################################################################
#TABLE MODELS: MATCHING BASED ON ONLY VARIABLES WITH STRONG THEORY AS TO WHY THEY SHOULD BE ASSOCIATED WITH THE SEQUECNING VARIABLE ##
######################################################################################################################################

matchdata <- read.dta("/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.baseNE.dta")
m.out.gen0n <- matchit(diDDRn ~ T2nemths1 + postCW + nintvngwar1 + unintrvnALL, data = matchdata, method = "genetic")
summary(m.out.gen0n)
#plot(m.out.gen0n)
m.data.gen0n <- match.data(m.out.gen0n)
write.csv(m.data.gen0n, "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/matchedtheoryNE.csv")
#ANALYZE IN STATA##
clear
insheet using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/matchedtheoryNE.csv"
merge cwid using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/BS09_DATA.dta", sort
 for var t2nemths1 postcw cycle nintvngwar1 unintrvnall unneaid1 prop mixed unexec: ttest X if weight ! = ., by(diddr)
save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/NE_DDRmatched0theory.dta"
 *R makes the variables lower cases so that some variables merge and others do not. 
 
*TEST BALANCE: COMPARISON OF MEANS BETWEEN TREATED AND CONTROL GROUPS*
for var T2nemths1 postCW fintvngwar1 unintrvnALL: ttest X, by (diDDRn)
for var T2nemths1 postCW fintvngwar1 unintrvnALL: gen Xwt = X*weight
for var T2nemths1 postCW fintvngwar1 unintrvnALL: ttest Xwt, by (diDDRn)
 
*LOGISTIC REGRESSION WITH WEIGHTS FROM GENETIC MATCHING*
logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 [pweight=weights], cluster(countryname)
*logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 [pweight=weights] if nENDinWAR !=1, cluster(countryname)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/MATCHED_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append 
logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 prop mixed unexec dcenEVR [pweight=weights], cluster(countryname)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/MATCHED_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append 
*logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 prop mixed unexec dcenEVR [pweight=weights] if nENDinWAR !=1, cluster(countryname)
  *gen prop_mixed = prop + mixed
*logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 prop_mixed unexec dcenEVR [pweight=weights] if nENDinWAR !=1, cluster(countryname)
logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpend [pweight=weights], cluster(countryname)
outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/MATCHED_DDR_TABLES", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append 
*logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpend [pweight=weights] if nENDinWAR !=1, cluster(countryname)


use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/NE_DDRmatched0theory2.dta"
 *This file is the same as NE_DDRmatched0theory plus bureaucracy, corruption and law and order. 
logit nwar1 diDDRn NEbureacracy NEcorruption NElaw_order eventno2 [pweight=weights], cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARinstitutions09", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) append


**********************************************************************************
*COMBINE REGRESSION RESULTS OF GENETIC MATCHING FOR FPEs and NEs TO CREATE GRAPH)*
**********************************************************************************  


use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/FPE_DDRmatched0theory.dta"
logit nwar1 diDDRf fpepolity1 fpenatl1 fpeconrnt1 postCW victory unintrvnALL UNfpeaid1 eventno2 [pweight=weights], cluster(countryname)
prgen diDDRf, x(fpepolity1=0 fpenatl1=1 fpeconrnt1=0 postCW=0 victory == 1 unintrvnALL=1 UNfpeaid1=1 eventno2=0) gen (ddrfpe) ci
keep countryname cwid ddrfpe*
save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/FPE_DDRmatched0theoryGRAPH.dta", replace  

clear  
use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/NE_DDRmatched0theory.dta" 
logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 [pweight=weights], cluster(countryname)
prgen diDDRn, x(nepolity1=0 postCW=0 victory = 1 unintrvnALL=1 UNneaid1=1 eventno2=0) gen (ddrne) ci
keep countryname cwid ddrne*
save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/NE_DDRmatched0theoryGRAPH.dta"

merge cwid using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/FPE_DDRmatched0theoryGRAPH.dta", sort
drop cwid countryname _merge  
gen note = "DDR_PredValues"
save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/NE_FPE_DDR_GRAPH.dta"
  twoway (line ddrfpep1 ddrfpex) (line ddrnep1 ddrnex, lwidth(medium) lpattern(shortdash)), ytitle(PROBABILITY OF NEW WAR) ytitle(, size(small)) ylabel(0(.2)1, labsize(small)) xtitle(SEQUENCING OF DEMOBILIZATION VIS-A-VIS FIRST POST-CONFLICT ELECTIONS) xtitle(, size(small)) xlabel(minmax, labsize(small)) legend(on order(1 "ALL ELECTIONS" 2 "NATIONAL ELECTIONS") cols(1) size(vsmall) region(lcolor(black)) position(7) ring(0))
  *graph save Graph "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Graphs/NE_FPE_DDR_GRAPH.pdf", replace
  


##############################################################################################################################################################

##**MATCHING BASED ON BASE MODEL FILES: FIRST POST-CONFLICT NATIONAL ELECTIONS**##
matchdata <- read.dta("/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.baseNE.dta")
m.out.gen0 <- matchit(diDDRn ~ T2nemths1 + postCW + cycle + fintvngwar1 + unintrvnALL + UNneaid1, data = matchdata, method = "genetic")
summary(m.out.gen0)
plot(m.out.gen0)
m.data.gen0 <- match.data(m.out.gen0)
write.csv(m.data.gen0, "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/matchedbaseNE.csv")
#ANALYZE IN STATA##
clear
insheet using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/matchedbaseNE.csv"
 for var t2nemths1 postcw cycle fintvngwar1 unintrvnall unneaid1 prop mixed unexec: ttest X if weight ! = ., by(diddrn)
 merge cwid using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/BS09_DATA.dta", sort 
 *R makes the variables lower cases so that some variables merge and others do not. 
 for var T2fpemths1 postCW cycle fintvngwar1 UNfpeaid1 unintrvnALL prop mixed unexec: ttest X, by(diDDRn)
 save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/NE_DDRmatched1.dta", replace
logit nwar1 diDDRn nepolity1 postCW unintrvnALL UNneaid1 eventno2 [pweight=weights] if nENDinWAR !=1, cluster(countryname)
  *logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 [pweight=weights] if nENDinWAR !=1 & weights != . , cluster(countryname)
   outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NE_DDRmatched", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) replace 
  prgen diDDRn, x(nepolity1=0 postCW=0 unintrvnALL=1 UNneaid1=1 eventno2=0) gen (peace1) ci
  twoway (line peace1p1 peace1x), ytitle(Probability of New Civil War) ytitle(, size(small)) ylabel(0(.2)1, labsize(small)),, xtitle(Sequencing of Demobilization and Elections) xtitle(, size(small)) xlabel(minmax, labsize(small)) legend(off)
  twoway (line peace1p1 peace1x) (line peace1p1lb peace1x, lpattern(tight_dot)) (line peace1p1ub peace1x, lpattern(tight_dot)), ytitle(Probability of New Civil War) ytitle(, size(small)) ylabel(0(.2)1, labsize(small)),, xtitle(Sequencing of Demobilization and Elections) xtitle(, size(small)) xlabel(minmax, labsize(small)) legend(off)
  
 *LOGISTIC REGRESSION WITHOUT WEIGHTS FROM GENETIC MATCHING [FULL SAMPLE]*
 logit nwar1 diDDRn nepolity1 postCW unintrvnALL UNneaid1 eventno2 if nENDinWAR !=1, cluster(countryname)
 *logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 if nENDinWAR !=1, cluster(countryname)
 prgen diDDRn, x(nepolity1=0 postCW=0 unintrvnALL=1 UNneaid1=1 eventno2=0) gen (peace1ngen) ci
 twoway (line peace1ngenp1 peace1ngenx), ytitle(Probability of New Civil War) ytitle(, size(small)) ylabel(0(.2)1, labsize(small)),, xtitle(Sequencing of Demobilization and Elections) xtitle(, size(small)) xlabel(minmax, labsize(small)) legend(off) 
  twoway (line peace1ngenp1 peace1ngenx) (line peace1ngenp1lb peace1ngenx, lpattern(tight_dot)) (line peace1ngenp1ub peace1ngenx, lpattern(tight_dot)), ytitle(Probability of New Civil War) ytitle(, size(small)) ylabel(0(.2)1, labsize(small)),, xtitle(Sequencing of Demobilization and Elections) xtitle(, size(small)) xlabel(minmax, labsize(small)) legend(off)
  
  
 *COMBINE REGRESSION RESULTS WITHOUT AND WITHOUT GENETIC MATCHING*
  twoway (line peace1p1 peace1x) (line peace1ngenp1 peace1ngenx, lwidth(medium) lpattern(shortdash)), ytitle(Probability of New War) ytitle(, size(small)) ylabel(0(.2)1, labsize(small)) xtitle(Sequencing of Demobilization and First Post-Conflict Election ) xtitle(, size(small)) xlabel(minmax, labsize(small)) legend(on order(1 "Matched Sample" 2 "Full Sample") cols(1) size(vsmall) region(lcolor(black)) position(1) ring(0))
  graph save Graph "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Graphs/DDRnmatch.pdf", replace

 
##** MATCHING BASED ON BASE MODEL FILES PLUS POWERSHARING: FIRST POST-CONFLICT NATIONAL ELECTIONS**##
matchdata <- read.dta("/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.baseNE.dta")
m.out.gen1 <- matchit(diDDRn ~ T2nemths1 + postCW + cycle + fintvngwar1 + unintrvnALL + UNneaid1 + prop + mixed + unexec + dcen, data = matchdata, pop.size=1000, max.generations=100, wait.generations=10, method = "genetic")
summary(m.out.gen1)
#plot(m.out.gen1)
m.data.gen1 <- match.data(m.out.gen1)
write.csv(m.data.gen1,"/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/matchedpwrNE.csv")
#ANALYZE IN STATA##
insheet using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/matchedpwrNE.csv"
 for var t2nemths1 postcw cycle fintvngwar1 unintrvnall victory unneaid1 prop mixed unexec: ttest X if weight ! = ., by(diddr)
 *R makes the variables lower cases so that some variables merge and others do not. 
 for var T2fpemths1 postCW cycle fintvngwar1 UNneaid1 victory unintrvnALL prop mixed unexec dcen: ttest X, by(diDDRn)
 merge cwid using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/BS09_DATA.dta", sort
 save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/NE_DDRmatched2.dta", replace
logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL victory UNneaid1 eventno2 [pweight=weights] if nENDinWAR !=1, cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NE_DDRmatched", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex se label(insert) replace 

logit nwar1 diDDRn nepolity1 postCW unintrvnALL victory UNneaid1 eventno2 prop mixed unexec [pweight=weights] if nENDinWAR !=1, cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NE_DDRmatched", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex append
  *logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 [pweight=weights] if nENDinWAR !=1

##**MATCHING BASED ON FULL MODELS: FIRST POST-CONFLICT NATIONAL ELECTIONS**##
matchdata <- read.dta("/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.fullNE.dta")
m.out.gen2 <- matchit(diDDRn ~ T2nemths1 + postCW + cycle + fintvngwar1 + unintrvnALL + UNneaid1 + wardur + dead + ridp + gdpend, data = matchdata, method = "genetic")
summary(m.out.gen2)
plot(m.out.gen2)
m.data.gen2 <- match.data(m.out.gen2)
write.csv(m.data.gen2, "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/matchedfullNE.csv")
#ANALYZE IN STATA##
insheet using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/matchedfullNE.csv"
 for var t2nemths1 postcw cycle fintvngwar1 unintrvnall unneaid1 prop mixed unexec wardur dead ridp gdpend: ttest X if weight ! = ., by(diddrn)
 *R makes the variables lower cases so that some variables merge and others do not. 
 merge cwid using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/BS09_DATA.dta", sort
 for var T2fpemths1 postCW cycle fintvngwar1 UNfpeaid1 unintrvnALL prop mixed unexec wardur dead ridp gdpend: ttest X, by(diDDRn)
 save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/NE_DDRmatched3.dta"
logit nwar1 diDDRn nepolity1 postCW unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpen [pweight=weights] if nENDinWAR !=1
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NE_DDRmatched", bdec(2) rdec(3) addstat(Log Likelihood, e(ll)) adec(2) tex append
  *logit nwar1 diDDRn nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpen [pweight=weights] if nENDinWAR !=1


