#################################
##** MATCHING: TIME TO KILL **###
#################################

################### GENERAL NOTES #####################################
# CODE IS WRITTEN IN R AND STATA. MUST SHIFT BETWEEN PROGRAMS.        #
# TABLE MODELS INCLUDE MATCHING BASED ON POWERSHARING AND FULL MODELS.# 
#######################################################################
************************************
* TIME TO KILL: BRANCATI AND SNYDER*
************************************

******************
*PART I ANALYSIS *
******************
######################################################################################
## DATASET CREATION FOR MATCHING WITH DEMOBLIZATION AS THE (DICHOTOMOUS) TREATMENT) ##
######################################################################################

##** MATCHING DOES NOT ACCOMMODATE MISSING DATA. THEREFORE, FOR EACH MODEL, WE CREATE DATASETS IN STATA WITHOUT MISSING DATA **##

use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/BS09_DATA_ALL.dta"
keep cwid countryname T2fpemths1 T2nemths1 diDDRf diDDRn postCW victory negsetruce cycle fintvngwar1 nintvngwar1 unintrvnALL UNfpeaid1 UNneaid1 prop mixed unexec dcen wardur dead ridp gdpen fENDinWAR1 nENDinWAR1
sort countryname cwid 
save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.TEMP1.dta", replace

** BASE MODEL FILES PLUS POWERSHARING**
clear
use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.TEMP1.dta"
keep cwid countryname T2fpemths1 diDDRf postCW victory negsetruce cycle fintvngwar1 unintrvnALL UNfpeaid1 prop mixed unexec dcen fENDinWAR1
sort countryname cwid 
drop if (T2fpemths1 == . | diDDRf == . | postCW == . | victory == . | negsetruce == . | cycle  == . | fintvngwar1 == . | unintrvnALL == . | UNfpeaid1 == . | prop == . | mixed == . | unexec == . | dcen == . ) 
save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.baseFPE.dta", replace

clear
use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.TEMP1.dta"
keep cwid countryname T2nemths1 diDDRn postCW victory negsetruce cycle nintvngwar1 unintrvnALL UNneaid1 prop1 mixed1 unexec dcen1 nENDinWAR1
sort countryname cwid 
drop if (T2nemths1 == . | diDDRn == . | postCW == . | victory == . | negsetruce == . | cycle  == . | nintvngwar1 == . | unintrvnALL == . | UNneaid1 == . | prop == . | mixed == . | unexec == .  | dcen == . ) 
save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.baseNE.dta", replace

**FULL MODELS**
clear
use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.TEMP1.dta"
sort countryname cwid 
keep cwid countryname T2fpemths1 diDDRf postCW victory negsetruce cycle fintvngwar1 unintrvnALL UNfpeaid1 prop1 mixed1 unexec dcen1 wardur dead ridp gdpen 
drop if (T2fpemths1 == . | diDDRf == . | postCW == . | victory == . | negsetruce == . | cycle  == . | fintvngwar1 == . | unintrvnALL == . | UNfpeaid1 == . | prop == . | mixed == . | unexec == . | dcen == . | wardur == . | dead == . | ridp == . | gdpen == .) 
save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.fullFPE.dta", replace

clear
use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.TEMP1.dta"
keep cwid countryname T2nemths1 diDDRn postCW victory negsetruce cycle nintvngwar1 unintrvnALL UNneaid1 prop mixed unexec dcen wardur dead ridp gdpen 
sort countryname cwid 
drop if (T2nemths1 == . | diDDRn == . | postCW == . | victory == . | negsetruce == . | cycle  == . | nintvngwar1 == . | unintrvnALL == . | UNneaid1 == . | prop == . | mixed == . | unexec == . | dcen == . | wardur == . | dead == . | ridp == . | gdpen == .) 
save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Matching/BS09_DATA.fullNE.dta", replace
