set matsize 10000
use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/BS2008.dta"


*********************
* GRAPHS OVER TIME  *
*********************

* To deal with censored cases (wars that have ended but elections have not been held), we've created a new variable for the minimum number of years in  which these elections could be held.*
* Countries that have not held national or subnational elections include: Myanmar/Burma-CWid107 (1960-1995); Somali-CWid133 (1988-1991); Sudan-CWid141(1983-2002)
* Countries that have not held national elections include: China-CWid33 (1950-1951); China-CWid34 (1956-1959); China-CWid35 (1967-1968); Myanmar/Burma-CWid107 (1960-1995); Somalia-CWid133 (1988-1991); Sudan-CWid141(1983-2002)


gen y2008 = 2008
*FIRST GENERATE YELAPSED* 
*All Elections--National or Subnational (fpedate1)*
split fpedate1, parse(/) gen(fpetemp)
destring fpetemp*, replace
gen Yelapsed = fpetemp3-yrend
gen censored = 1 if countryname == "Myanmar/Burma" & yrbeg == 1960 & yrend == 1995
replace censored = 1 if countryname == "Somalia" & yrbeg == 1988 & yrend == 1991
replace censored = 1 if countryname == "Sudan" & yrbeg == 1983 & yrend == 2002
replace Yelapsed= (y2008-yrend) if Yelapsed == . & yrend != . & countryname == "Myanmar/Burma" & yrbeg == 1960 & yrend == 1995
replace Yelapsed= (y2008-yrend) if Yelapsed == . & yrend != . & countryname == "Somalia" & yrbeg == 1988 & yrend == 1991
replace Yelapsed= (y2008-yrend) if Yelapsed == . & yrend != . & countryname == "Sudan" & yrbeg == 1983 & yrend == 2002
*gen difftemp = Yelapsed-t2fpevent1 if fendevent1 == "ELECTION"
*browse countryname yrbeg yrend fpedate1 t2fpevent1 endevent1 Yelapsed difftemp
*drop difftemp

*National Elections Only (nedate1)*
split nedate1, parse(/) gen (netemp)
destring netemp*, replace
gen YelapsedN = netemp3-yrend
gen censoredN = 1 if countryname == "China" & yrbeg == 1950 & yrend == 1951
replace censoredN = 1 if countryname == "China" & yrbeg == 1956 & yrend == 1959
replace censoredN = 1 if countryname == "China" & yrbeg == 1967 & yrend == 1968
replace censoredN = 1 if countryname == "Myanmar/Burma" & yrbeg == 1960 & yrend == 1995
replace censoredN = 1 if countryname == "Somalia" & yrbeg == 1988 & yrend == 1991
replace censoredN = 1 if countryname == "Sudan" & yrbeg == 1983 & yrend == 2002
replace YelapsedN= (y2008-yrend) if YelapsedN == . & yrend != . & countryname == "China" & yrbeg == 1950 & yrend == 1951
replace YelapsedN= (y2008-yrend) if YelapsedN == . & yrend != . & countryname == "China" & yrbeg == 1956 & yrend == 1959
replace YelapsedN= (y2008-yrend) if YelapsedN == . & yrend != . & countryname == "China" & yrbeg == 1967 & yrend == 1968
replace YelapsedN= (y2008-yrend) if YelapsedN == . & yrend != . & countryname == "Myanmar/Burma" & yrbeg == 1960 & yrend == 1995
replace YelapsedN= (y2008-yrend) if YelapsedN == . & yrend != . & countryname == "Somalia" & yrbeg == 1988 & yrend == 1991
replace YelapsedN= (y2008-yrend) if YelapsedN == . & yrend != . & countryname == "Sudan" & yrbeg == 1983 & yrend == 2002
*gen difftemp = YelapsedN-t2nevent1 if endnevent1 == "ELECTION"
*browse countryname yrbeg yrend nedate1 t2nevent1 endnevent1 YelapsedN difftemp
*drop difftemp

*REDO ONCE ALL THE ELECTION DATES HAVE BEEN DETERMINED*
*Subnational Elections Only* 
split snedate1, parse(/) gen (snetemp)
destring snetemp*, replace
gen YelapsedSNL = snetemp3-yrend
gen censoredSNL = 1 if countryname == "Angola" & yrbeg == 1975 & yrend == 1991
replace censoredSNL = 1 if countryname == "Angola" & yrbeg == 1992 & yrend == 1994
replace censoredSNL = 1 if countryname == "Angola" & yrbeg == 1997 & yrend == 2002
replace censoredSNL = 1 if countryname == "Angola" & yrbeg == 1994 & yrend == 1999
replace censoredSNL = 1 if countryname == "Central African Republic" & yrbeg == 1996 & yrend == 1997
replace censoredSNL = 1 if countryname == "Chad" & yrbeg == 1965 & yrend == 1979
replace censoredSNL = 1 if countryname == "Chad" & yrbeg == 1980 & yrend == 1994
replace censoredSNL = 1 if countryname == "Chad" & yrbeg == 1994 & yrend == 1997
replace censoredSNL = 1 if countryname == "Guinea-Bissau" & yrbeg == 1998 & yrend == 1999
replace censoredSNL = 1 if countryname == "Liberia" & yrbeg == 1989 & yrend ==  1990
replace censoredSNL = 1 if countryname == "Liberia" & yrbeg == 1992 & yrend == 1997
replace censoredSNL = 1 if countryname == "Liberia" & yrbeg == 1999 & yrend == 2003
replace censoredSNL = 1 if countryname == "Myanmar/Burma" & yrbeg == 1948 & yrend == 1951
replace censoredSNL = 1 if countryname == "Myanmar/Burma" & yrbeg == 1948 & yrend == 1988
replace censoredSNL = 1 if countryname == "Myanmar/Burma" & yrbeg == 1960 & yrend == 1995
replace censoredSNL = 1 if countryname == "Oman" & yrbeg == 1971  & yrend == 1975
replace censoredSNL = 1 if countryname == "Somalia" & yrbeg == 1988 & yrend == 1991
replace censoredSNL = 1 if countryname == "Sudan" & yrbeg == 1983 & yrend == 2002
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Angola" & yrbeg == 1975 & yrend == 1991
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Angola" & yrbeg == 1992 & yrend == 1994
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Angola" & yrbeg == 1997 & yrend == 2002
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Angola" & yrbeg == 1994 & yrend == 1999
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Central African Republic" & yrbeg == 1996 & yrend == 1997
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Chad" & yrbeg == 1965 & yrend == 1979
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Chad" & yrbeg == 1980 & yrend == 1994
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Chad" & yrbeg == 1994 & yrend == 1997
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Guinea-Bissau" & yrbeg == 1998 & yrend == 1999
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Liberia" & yrbeg == 1989 & yrend ==  1990
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Liberia" & yrbeg == 1992 & yrend == 1997
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Liberia" & yrbeg == 1999 & yrend == 2003
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Myanmar/Burma" & yrbeg == 1948 & yrend == 1951
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Myanmar/Burma" & yrbeg == 1948 & yrend == 1988
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Myanmar/Burma" & yrbeg == 1960 & yrend == 1995
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Oman" & yrbeg == 1971  & yrend == 1975
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Somalia" & yrbeg == 1988 & yrend == 1991
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Sudan" & yrbeg == 1983 & yrend == 2002
*gen difftemp = YelapsedSNL-t2event1 if endevent1 == "ELECTION" & fpelevel1 == "SUBNATIONAL"
*browse countryname yrbeg yrend fpedate1 t2event1 endevent1 YelapsedSNL difftemp fpelevel1
*drop difftemp

*Generate Marker to Denote Censored Observations*
gen censored_dpoints = Yelapsed if censored == 1
gen censoredN_dpoints = YelapsedN if censoredN == 1
gen censoredSNL_dpoints = YelapsedSNL if censoredSNL == 1

*Generate Mean Number of Years Elapsed/Variable Excludes Censored Cases*
egen Yelapsedmean = mean(Yelapsed) if censored !=1, by(yrend)
egen YelapsedNmean = mean(YelapsedN) if censoredN !=1, by(yrend)
egen YelapsedSNLmean = mean(YelapsedSNL) if censoredSNL !=1, by(yrend)

*Graph Results*
*All Elections*
sort yrend
twoway (connected Yelapsedmean yrend, lcolor(black) lwidth(medium)) (scatter censored_dpoints yrend, msymbol(circle) mcolor(maroon) msize(medium)), ytitle("Mean Number of Years Elapsed between" "Civil War End and First Postconflict Election", size(small) color(black)) ylabel(, labsize(small)) ymlabel(0(1)22, nolabels) xtitle(Year Civil War Ended, size(small)) ylabel(0(5)30) xlabel(1946(3)2003, angle(vertical) labsize(small)) legend(order(1 "observed" 2 "censored") size(small)) legend(position(1) ring(0) region(lwidth(vvvthin))) scheme(s1mono)

*National Elections*
sort yrend
twoway (connected YelapsedNmean yrend, lcolor(black) lpattern (solid) lwidth(medium)) (scatter censoredN_dpoints yrend, msymbol(circle) mcolor(maroon) msize(medium)), ytitle("Mean Number of Years Elapsed between" "Civil War End and First Postconflict National Election", size(small) color(black)) ylabel(, labsize(small)) ymlabel(0(1)22, nolabels) xtitle(Year Civil War Ended, size(small)) ylabel(0(5)60) xlabel(1946(3)2003, angle(vertical) labsize(small)) legend(order(1 "observed" 2 "censored") size(small)) legend(position(1) ring(0) region(lwidth(vvvthin))) scheme(s1mono)

*Subnational Elections*
sort yrend
twoway (connected YelapsedSNLmean yrend, lcolor(black) lpattern (dash) lwidth(medium)) (scatter censoredSNL_dpoints yrend, msymbol(circle) mcolor(maroon) msize(medium)), ytitle("Mean Number of Years Elapsed between" "Civil War End and First Postconflict Subnational Election", size(small) color(black)) ylabel(, labsize(small)) ymlabel(0(1)22, nolabels) xtitle(Year Civil War Ended, size(small)) ylabel(0(5)60) xlabel(1946(3)2003, angle(vertical) labsize(small)) legend(order(1 "observed" 2 "censored") size(small)) legend(position(1) ring(0) region(lwidth(vvvthin))) scheme(s1mono)

*National and Subnational Elections Overlayed*
twoway (connected YelapsedNmean yrend, lcolor(maroon) mcolor(maroon) lpattern (solid) lwidth(medium)) (connected YelapsedSNLmean yrend, lcolor(stone) mcolor(stone) lpattern (dash) lwidth(medium)) (scatter censoredN_dpoints yrend, msymbol(circle) mcolor(maroon)  msize(small)) (scatter censoredSNL_dpoints yrend, msymbol(diamond) mcolor(stone) msize(small)), ytitle("Mean Number of Years Elapsed between" "Civil War End and First Postconflict National Election", size(small) color(black)) ylabel(, labsize(small)) ymlabel(0(1)22, nolabels) xtitle(Year Civil War Ended, size(small))  ylabel(0(5)60) xlabel(1946(3)2003, angle(vertical) labsize(small)) legend(order(1 "national" 2 "subnational") size(small))  legend(position(1) ring(0) region(lwidth(vvvthin))) scheme(s1mono)

*Same as Above in  (Black and gs10) 
twoway (connected YelapsedNmean yrend, lcolor(black) mcolor(black) lpattern (solid) lwidth(medium)) (connected YelapsedSNLmean yrend, lcolor(gs10) mcolor(gs10) lpattern (dash) lwidth(medium)) (scatter censoredN_dpoints yrend, msymbol(circle) mcolor(black)  msize(small)) (scatter censoredSNL_dpoints yrend, msymbol(diamond) mcolor(gs10) msize(small)), ytitle("Mean Number of Years Elapsed between" "Civil War End and First Postconflict National Election", size(small) color(black)) ylabel(, labsize(small)) ymlabel(0(1)22, nolabels) xtitle(Year Civil War Ended, size(small))  ylabel(0(5)60) xlabel(1946(3)2003, angle(vertical) labsize(small)) legend(order(1 "national" 2 "subnational") size(small))  legend(position(1) ring(0) region(lwidth(vvvthin))) scheme(s1mono)

**DESCRIPTIVE STATISTICS****
gen T2fpeyears1 = T2fpedays1/367.242

tabstat  T2fpeyears1 if yrend < 1989
tabstat  T2fpeyears1 if yrend >= 1989
  tabstat  T2fpeyears1 if yrend < 1980
  tabstat  T2fpeyears1 if yrend >=1980 & yrend <=1989
  tabstat  T2fpeyears1 if yrend > 1989
  
tabulate fpelevel1 if (fpelevel1 != "WAR ONGOING" & fpelevel1 != "EXCLUDED" & fpelevel1 != "CENSORED")

gen FPEgapSNL = netemp3-snetemp3 if fpelevel1 == "SUBNATIONAL"
browse cwid fpelevel1 FPEgapSNL nedate1 netemp3 snedate1 snetemp3 

drop fpetemp* netemp* snetemp* 

**************************************************
*GRAPHS OF HAZARD RATE FOR TIME TO FIRST ELECTION*
**************************************************

*Create Data File - First Post-Conflict Elections*
use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/BS2008.dta"
stset T2fpemths1, failure(fEND1) 
stcox postCW victory fintvngwar1 cycle unintrvnALL UNfpeaid1, hr efron cluster(countryname) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/T2fpemths1ci", bdec(2) rdec(3) noaster eform ci replace label(insert)
stcox postCW victory fintvngwar1 cycle unintrvnALL UNfpeaid1 prop1 mixed prz semiprz parl, hr efron cluster(countryname) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/T2fpemths1ci", bdec(2) rdec(3) noaster eform ci append label(insert)
stcox postCW victory fintvngwar1 cycle unintrvnALL UNfpeaid1 wardur dead ridp gdpen, hr efron cluster(countryname) 
 outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/T2fpemths1ci", bdec(2) rdec(3) noaster eform ci append label(insert)
*Manually transpose data outputted in the correct format with hr, lci and hci representing by separate variables and indices for model and variable numbers. 

twoway (rcap lci hci varno, sort lcolor(black) lwidth(medium) lpattern(solid)) (scatter hazard varno, mcolor(black) mlabel(hazard) mlabcolor(black) mlabposition(2) mlabgap(minuscule)), ytitle(HAZARD RATE [CONFIDENCE INTERVAL]) ytitle(, size(small)) yscale(range(-1 5)) yscale(extend fextend) yline(1, lpattern(tight_dot) lcolor(gs8)) ylabel(-1(2)5, labsize(tiny) angle(horizontal) nogrid) xtitle("") xlabel(1 "POST CW" 2"VICTORY" 3"INTRVNG WAR"  4"PAST ELECTIONS" 5 "UN INTRVN" 6 "UN AID" 7 "PR SYSTEM" 8"MIXED SYSTEM" 9 "PRZ SYSTEM" 10"SEMI-PRZ" 11"PARL SYSTEM" 12 "WAR DURATION" 13 "WAR DEATHS" 14 "DISPLACED" 15 "GDP", labsize(vsmall) labcolor(black) format(%~10s) alternate nogrid) by(, legend(off)) by(model, cols(1)) subtitle(, size(small) ring(0) nobox)
twoway (rcap lci hci varno, sort) (scatter hazard varno, mlabel(hazard)), ytitle(HAZARD RATE [CONFIDENCE INTERVAL]) ytitle(, size(small)) xtitle("") xlabel(1 "POST-COLD WAR" 2 "VICTORY" 3 "INTERVENING WAR" 4 "PAST ELECTIONS"  5 "UN INTERVENTION" 6 "UN AID", labsize(vsmall) angle(horizontal) format(%~10s)) legend(off)

twoway (rcap lci hci varno, sort lcolor(black) lwidth(medium) lpattern(solid)) (scatter hazard varno, mcolor(black) mlabel(hazard) mlabcolor(black) mlabposition(2) mlabgap(minuscule)), ytitle(HAZARD RATE [CONFIDENCE INTERVAL]) ytitle(, size(small)) yline(1, lpattern(tight_dot) lcolor(gs8)) ylabel(-1(1)3, grid glcolor(gs14) glpattern(tight_dot)) xtitle("") xlabel(1 "POST CW" 2"VICTORY" 3"INTERVENING WAR"  4"PAST ELECTIONS" 5 "UN INTERVENTION" 6 "UN AID", labsize(vsmall) labcolor(black) format(%~10s) alternate nogrid) by(, legend(off)) by(model) subtitle(, size(medsmall) position(9) ring(0) nobox)

twoway (rcap lci hci varno, sort lcolor(black) lwidth(medium) lpattern(solid)) (scatter hazard varno, mcolor(black) mlabel(hazard) mlabcolor(black) mlabposition(2) mlabgap(minuscule)), ytitle(HAZARD RATE [CONFIDENCE INTERVAL]) ytitle(, size(small)) yline(1, lpattern(tight_dot) lcolor(gs8)) ylabel(-1(1)3, labsize(small) nogrid) xtitle("") xlabel(1 "POST CW" 2"VICTORY" 3"INTRVNG WAR"  4"PAST ELECTIONS" 5 "UN INTRVN" 6 "UN AID" 7 "PR SYSTEM" 8"MIXED SYSTEM" 9 "PRZ SYSTEM" 10 "SEMI-PRZ SYSTEM" 11"PARL SYSTEM"  12 "WAR DURATION" 13 "WAR DEATHS" 14 "DISPLACED" 15 "GDP", labsize(vsmall) labcolor(black) format(%~10s) alternate nogrid) by(, legend(off)) by(model, cols(1)) subtitle(, size(small) position(1) ring(0) nobox)
*Note Executive Systems Variables left out because CI very wide. They need to be dealt with due to conditionality assumption failure. 

*************************
*  OUTBREAK OF NEW WAR  *
*************************

egen meanEVENTno1 = mean(eventno1), by(yrend) 
egen meanNWAR1 = mean(nwar1), by(yrend) 

twoway line meanEVENTno1 yrend
twoway line meanNWAR1 yrend

gen decade = . 
replace decade = 1940 if yrend < 1950 & yrend != . 
replace decade = 1950 if yrend >=1950 & yrend <1960 & yrend != .
replace decade = 1960 if yrend >=1960 & yrend <1970 & yrend != .
replace decade = 1970 if yrend >=1970 & yrend <1980 & yrend != .
replace decade = 1980 if yrend >=1980 & yrend <1990 & yrend != .
replace decade = 1990 if yrend >=1990 & yrend <2000 & yrend != .
replace decade = 2000 if yrend >=2000 & yrend <2010 & yrend != .

egen dmeanEVENTno1 = mean(eventno1), by(decade) 
bysort decade: gen dup = dmeanEVENTno1[_n-1]
gen dmeanEVENTno1label = dmeanEVENTno1 if dup == .

tostring dmeanEVENTno1label, gen(label) force
replace label = "" if label == "."

drop dup

egen dmeanNWAR1 = mean(nwar1), by(decade)

twoway line dmeanEVENTno1 yrend
twoway line dmeanNWAR1 yrend

tabstat meanEVENTno1, by(decade)
tabstat dmeanEVENTno1, by(decade)

twoway scatter meanEVENTno1 yrend


******************************
** GRAPH OF LOGIT ESTIMATES **
******************************

********************
*NATIONAL ELECTIONS*
*******************

logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 if nENDinWAR !=1, cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARnedateCI", bdec(2) rdec(3) noaster ci replace label(insert)
gen T2nemths1VIC =T2nemths1*victory
logit nwar1 T2nemths1 nepolity1 postCW victory T2nemths1VIC unintrvnALL UNneaid1 eventno2 if nENDinWAR !=1, cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARnedateCI", bdec(2) rdec(3) noaster ci append label(insert)
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 prop mixed vetoplayers eventno2 if nENDinWAR !=1, cluster(countryname) 
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARnedateCI", bdec(2) rdec(3) noaster ci label(insert) append
logit nwar1 T2nemths1 nepolity1 postCW victory unintrvnALL UNneaid1 eventno2 wardur dead ridp gdpen if nENDinWAR !=1, cluster(countryname)
  outreg2 using "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/OUTREG FILES/NWARnedateCI", bdec(2) rdec(3) noaster ci label(insert) append
  
twoway (rcap lci hci varno, sort lcolor(black) lwidth(medium) lpattern(solid)) (scatter coefficient varno, mcolor(black) mlabel(coefficient) mlabcolor(black) mlabposition(2) mlabgap(minuscule)), ytitle(COEFFICIENT [CONFIDENCE INTERVAL]) ytitle(, size(small)) yline(1, lpattern(tight_dot) lcolor(gs8)) ylabel(3(2)-5, labsize(small) nogrid) xtitle("") xlabel(1 "ELECTION TIMING" 2 "POLITY IV" 3 "POST CW"  4 "VICTORY" 5 "UN INTRVN" 6 "UN AID" 7 "PR SYSTEM" 8"MIXED SYSTEM" 9 "VETO PLAYERS" 10 "WAR NUMBER"  11 "TIMINGXVICTORY"  12 "WAR DURATION" 13 "WAR DEATHS" 14 "DISPLACED" 15 "GDP", labsize(vsmall) labcolor(black) format(%~10s) alternate nogrid) by(, legend(off)) by(model, cols(1)) subtitle(, size(vsmall) position(1) ring(0) nobox)

save "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Graphs/hrciplotsne1.tif"


*****************
*DEMOBILIZATION *
*****************

logit diDDRn T2nemths1 postCW nintvngwar1 cycle unintrvnALL UNneaid1
twoway (rcap hci lci varno, sort lcolor(black)) (scatter coefficient varno, mcolor(black) mlabel(coefficient) mlabsize(vsmall)), ytitle(COEFFICIENT [NEW CIVIL WAR]) ytitle(, size(small)) ylabel(, labsize(medsmall)) xtitle("") xlabel(1 "Polity" 2 "Post-Cold War Era" 3 "Election Before DDR" 4 "Election After DDR" 5 "Victory Based DDR" 6 "UN Intervention" 7 "UN Aid" 8 "CW Number", labels labsize(vsmall) alternate) subtitle([Log Pseudolikelihood = -60.20; N=103], size(vsmall) position(4) ring(0) nobox) legend(off)
