
*****************************************************
* GRAPHS OF TRENDS IN POST-CONFLICT ELECTION TIMING *
*****************************************************

* To deal with censored cases (wars that have ended but elections have not been held), we've created a new variable for the minimum number of years in  which these elections could be held.*
* Countries that have not held national or subnational elections include: Myanmar/Burma-CWid107 (1960-1995); Somali-CWid133 (1988-1991); Sudan-CWid141(1983-2002)
* Countries that have not held national elections include: China-CWid33 (1950-1951); China-CWid34 (1956-1959); China-CWid35 (1967-1968); Myanmar/Burma-CWid107 (1960-1995); Somalia-CWid133 (1988-1991); Sudan-CWid141(1983-2002)

set matsize 10000
use "/Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/REPLICATION FILES/DATA/BS09_DATA_main.dta"

gen y2008 = 2008

*FIRST GENERATE YELAPSED* 
*All Elections--National or Subnational (fpedate1)*
split fpedate1, parse(/) gen(fpetemp)
destring fpetemp*, replace
gen Yelapsed = fpetemp3-yrend
gen censored = 1 if countryname == "Myanmar/Burma" & yrbeg == 1960 & yrend == 1995
replace censored = 1 if countryname == "Somalia" & yrbeg == 1988 & yrend == 1991
replace censored = 1 if countryname == "Sudan" & yrbeg == 1983 & yrend == 2002
replace Yelapsed= (y2008-yrend) if Yelapsed == . & yrend != . & countryname == "Myanmar/Burma" & yrbeg == 1960 & yrend == 1995
replace Yelapsed= (y2008-yrend) if Yelapsed == . & yrend != . & countryname == "Somalia" & yrbeg == 1988 & yrend == 1991
replace Yelapsed= (y2008-yrend) if Yelapsed == . & yrend != . & countryname == "Sudan" & yrbeg == 1983 & yrend == 2002
*gen difftemp = Yelapsed-t2fpevent1 if fendevent1 == "ELECTION"
*browse countryname yrbeg yrend fpedate1 t2fpevent1 endevent1 Yelapsed difftemp
*drop difftemp

*National Elections Only (nedate1)*
split nedate1, parse(/) gen (netemp)
destring netemp*, replace
gen YelapsedN = netemp3-yrend
gen censoredN = 1 if countryname == "China" & yrbeg == 1950 & yrend == 1951
replace censoredN = 1 if countryname == "China" & yrbeg == 1956 & yrend == 1959
replace censoredN = 1 if countryname == "China" & yrbeg == 1967 & yrend == 1968
replace censoredN = 1 if countryname == "Myanmar/Burma" & yrbeg == 1960 & yrend == 1995
replace censoredN = 1 if countryname == "Somalia" & yrbeg == 1988 & yrend == 1991
replace censoredN = 1 if countryname == "Sudan" & yrbeg == 1983 & yrend == 2002
replace YelapsedN= (y2008-yrend) if YelapsedN == . & yrend != . & countryname == "China" & yrbeg == 1950 & yrend == 1951
replace YelapsedN= (y2008-yrend) if YelapsedN == . & yrend != . & countryname == "China" & yrbeg == 1956 & yrend == 1959
replace YelapsedN= (y2008-yrend) if YelapsedN == . & yrend != . & countryname == "China" & yrbeg == 1967 & yrend == 1968
replace YelapsedN= (y2008-yrend) if YelapsedN == . & yrend != . & countryname == "Myanmar/Burma" & yrbeg == 1960 & yrend == 1995
replace YelapsedN= (y2008-yrend) if YelapsedN == . & yrend != . & countryname == "Somalia" & yrbeg == 1988 & yrend == 1991
replace YelapsedN= (y2008-yrend) if YelapsedN == . & yrend != . & countryname == "Sudan" & yrbeg == 1983 & yrend == 2002
*gen difftemp = YelapsedN-t2nevent1 if endnevent1 == "ELECTION"
*browse countryname yrbeg yrend nedate1 t2nevent1 endnevent1 YelapsedN difftemp
*drop difftemp


*Subnational Elections Only* 
split snedate1, parse(/) gen (snetemp)
destring snetemp*, replace
gen YelapsedSNL = snetemp3-yrend
gen censoredSNL = 1 if countryname == "Angola" & yrbeg == 1975 & yrend == 1991
replace censoredSNL = 1 if countryname == "Angola" & yrbeg == 1992 & yrend == 1994
replace censoredSNL = 1 if countryname == "Angola" & yrbeg == 1997 & yrend == 2002
replace censoredSNL = 1 if countryname == "Angola" & yrbeg == 1994 & yrend == 1999
replace censoredSNL = 1 if countryname == "Central African Republic" & yrbeg == 1996 & yrend == 1997
replace censoredSNL = 1 if countryname == "Chad" & yrbeg == 1965 & yrend == 1979
replace censoredSNL = 1 if countryname == "Chad" & yrbeg == 1980 & yrend == 1994
replace censoredSNL = 1 if countryname == "Chad" & yrbeg == 1994 & yrend == 1997
replace censoredSNL = 1 if countryname == "Guinea-Bissau" & yrbeg == 1998 & yrend == 1999
replace censoredSNL = 1 if countryname == "Liberia" & yrbeg == 1989 & yrend ==  1990
replace censoredSNL = 1 if countryname == "Liberia" & yrbeg == 1992 & yrend == 1997
replace censoredSNL = 1 if countryname == "Liberia" & yrbeg == 1999 & yrend == 2003
replace censoredSNL = 1 if countryname == "Myanmar/Burma" & yrbeg == 1948 & yrend == 1951
replace censoredSNL = 1 if countryname == "Myanmar/Burma" & yrbeg == 1948 & yrend == 1988
replace censoredSNL = 1 if countryname == "Myanmar/Burma" & yrbeg == 1960 & yrend == 1995
replace censoredSNL = 1 if countryname == "Oman" & yrbeg == 1971  & yrend == 1975
replace censoredSNL = 1 if countryname == "Somalia" & yrbeg == 1988 & yrend == 1991
replace censoredSNL = 1 if countryname == "Sudan" & yrbeg == 1983 & yrend == 2002
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Angola" & yrbeg == 1975 & yrend == 1991
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Angola" & yrbeg == 1992 & yrend == 1994
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Angola" & yrbeg == 1997 & yrend == 2002
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Angola" & yrbeg == 1994 & yrend == 1999
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Central African Republic" & yrbeg == 1996 & yrend == 1997
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Chad" & yrbeg == 1965 & yrend == 1979
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Chad" & yrbeg == 1980 & yrend == 1994
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Chad" & yrbeg == 1994 & yrend == 1997
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Guinea-Bissau" & yrbeg == 1998 & yrend == 1999
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Liberia" & yrbeg == 1989 & yrend ==  1990
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Liberia" & yrbeg == 1992 & yrend == 1997
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Liberia" & yrbeg == 1999 & yrend == 2003
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Myanmar/Burma" & yrbeg == 1948 & yrend == 1951
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Myanmar/Burma" & yrbeg == 1948 & yrend == 1988
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Myanmar/Burma" & yrbeg == 1960 & yrend == 1995
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Oman" & yrbeg == 1971  & yrend == 1975
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Somalia" & yrbeg == 1988 & yrend == 1991
replace YelapsedSNL= (y2008-yrend) if YelapsedSNL == . & yrend != . & countryname == "Sudan" & yrbeg == 1983 & yrend == 2002
*gen difftemp = YelapsedSNL-t2event1 if endevent1 == "ELECTION" & fpelevel1 == "SUBNATIONAL"
*browse countryname yrbeg yrend fpedate1 t2event1 endevent1 YelapsedSNL difftemp fpelevel1
*drop difftemp

*Generate Marker to Denote Censored Observations*
gen censored_dpoints = Yelapsed if censored == 1
gen censoredN_dpoints = YelapsedN if censoredN == 1
gen censoredSNL_dpoints = YelapsedSNL if censoredSNL == 1

*Generate Mean Number of Years Elapsed/Variable Excludes Censored Cases*
egen Yelapsedmean = mean(Yelapsed) if censored !=1, by(yrend)
egen YelapsedNmean = mean(YelapsedN) if censoredN !=1, by(yrend)
egen YelapsedSNLmean = mean(YelapsedSNL) if censoredSNL !=1, by(yrend)

*Graph Results*
*All Elections [Paper Graph]*
sort yrend
twoway (connected Yelapsedmean yrend, lcolor(black) lwidth(medium) mcolor(black) msize(vsmall)) (scatter censored_dpoints yrend, msymbol(circle) mcolor(maroon) msize(small)), ytitle("Mean Number of Years Elapsed between" "Civil War End and First Postconflict Election", size(small) color(black)) ylabel(, labsize(small)) ymlabel(0(1)22, nolabels) xtitle(Year Civil War Ended, size(small)) ylabel(0(5)30) xlabel(1946(3)2006, angle(vertical) labsize(small)) legend(order(1 "observed" 2 "censored") size(small)) legend(position(1) ring(0) region(lwidth(vvvthin))) scheme(s1mono)
*Graph is saved as /Users/brancati/Documents/Working Papers/Active/Election Timing/Analysis/Graphs/Figure1ElapsedTime0609.pdf

*National Elections*
sort yrend
twoway (connected YelapsedNmean yrend, lcolor(black) lpattern (solid) lwidth(medium) mcolor(black) msize(vsmall)) (scatter censoredN_dpoints yrend, msymbol(circle) mcolor(maroon) msize(small)), ytitle("Mean Number of Years Elapsed between" "Civil War End and First Postconflict National Election", size(small) color(black)) ylabel(, labsize(small)) ymlabel(0(1)22, nolabels) xtitle(Year Civil War Ended, size(small)) ylabel(0(5)60) xlabel(1946(3)2006, angle(vertical) labsize(small)) legend(order(1 "observed" 2 "censored") size(small)) legend(position(1) ring(0) region(lwidth(vvvthin))) scheme(s1mono)

*Subnational Elections*
sort yrend
twoway (connected YelapsedSNLmean yrend, lcolor(black) lpattern (dash) lwidth(medium) mcolor(black) msize(vsmall)) (scatter censoredSNL_dpoints yrend, msymbol(circle) mcolor(maroon) msize(small)), ytitle("Mean Number of Years Elapsed between" "Civil War End and First Postconflict Subnational Election", size(small) color(black)) ylabel(, labsize(small)) ymlabel(0(1)22, nolabels) xtitle(Year Civil War Ended, size(small)) ylabel(0(5)60) xlabel(1946(3)2006, angle(vertical) labsize(small)) legend(order(1 "observed" 2 "censored") size(small)) legend(position(1) ring(0) region(lwidth(vvvthin))) scheme(s1mono)

*National and Subnational Elections Overlayed*
sort yrend
twoway (connected YelapsedNmean yrend, lcolor(maroon) mcolor(maroon) lpattern (solid) lwidth(medium) mcolor(black) msize(vsmall)) (connected YelapsedSNLmean yrend, lcolor(stone) mcolor(stone) msize(vsmall) lpattern (dash) lwidth(medium)) (scatter censoredN_dpoints yrend, msymbol(circle) mcolor(maroon)  msize(small)) (scatter censoredSNL_dpoints yrend, msymbol(diamond) mcolor(stone) msize(small)), ytitle("Mean Number of Years Elapsed between" "Civil War End and First Postconflict National Election", size(small) color(black)) ylabel(, labsize(small)) ymlabel(0(1)22, nolabels) xtitle(Year Civil War Ended, size(small))  ylabel(0(5)60) xlabel(1946(3)2006, angle(vertical) labsize(small)) legend(order(1 "national" 2 "subnational") size(small))  legend(position(1) ring(0) region(lwidth(vvvthin))) scheme(s1mono)

*Same as Above in  (Black and gs10) 
sort yrend
twoway (connected YelapsedNmean yrend, lcolor(black) mcolor(black) lpattern (solid) lwidth(medium) mcolor(black) msize(vsmall)) (connected YelapsedSNLmean yrend, lcolor(gs10) mcolor(gs10) msize(vsmall) lpattern (dash) lwidth(medium)) (scatter censoredN_dpoints yrend, msymbol(circle) mcolor(black)  msize(small)) (scatter censoredSNL_dpoints yrend, msymbol(diamond) mcolor(gs10) msize(small)), ytitle("Mean Number of Years Elapsed between" "Civil War End and First Postconflict National Election", size(small) color(black)) ylabel(, labsize(small)) ymlabel(0(1)22, nolabels) xtitle(Year Civil War Ended, size(small))  ylabel(0(5)60) xlabel(1946(3)2006, angle(vertical) labsize(small)) legend(order(1 "national" 2 "subnational") size(small))  legend(position(1) ring(0) region(lwidth(vvvthin))) scheme(s1mono)

**DESCRIPTIVE STATISTICS****
gen T2fpeyears1 = T2fpemths1/12
tabstat  T2fpeyears1 if yrend < 1989
tabstat  T2fpeyears1 if yrend >= 1989
  tabstat T2fpeyears1 if yrend < 1980
  tabstat T2fpeyears1 if yrend >=1980 & yrend <=1989
  tabstat T2fpeyears1 if yrend > 1989
  
tabulate fpelevel1 if (fpelevel1 != "WAR ONGOING" & fpelevel1 != "EXCLUDED" & fpelevel1 != "CENSORED")

gen FPEgapSNL = netemp3-snetemp3 if fpelevel1 == "SUBNATIONAL"
browse cwid fpelevel1 FPEgapSNL nedate1 netemp3 snedate1 snetemp3 

drop fpetemp* netemp* snetemp* 
